Bug 1148217 - libkgapi: kio fails to load gdrive.so, if linked with LTO
libkgapi: kio fails to load gdrive.so, if linked with LTO
Status: RESOLVED UPSTREAM
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Applications
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks: 1133084
  Show dependency treegraph
 
Reported: 2019-08-26 17:14 UTC by Hans-Peter Jansen
Modified: 2019-08-29 18:58 UTC (History)
6 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans-Peter Jansen 2019-08-26 17:14:48 UTC
As noticed from Wolfgang, libkgapi fails to load /usr/lib64/qt5/plugins/kf5/kio/gdrive.so, if linked with LTO enabled.

Test:
add a google account in systemsettings -> Online accounts, run dolphin, click on Network (in remote places list), and expand Google Drive.

Results in:
failed to load /usr/lib64/qt5/plugins/kf5/kio/gdrive.so error message with current Tumbleweed package https://build.opensuse.org/package/show/openSUSE:Factory/libkgapi, but succeeds with package from Wolfgang with LTO disabled:
https://build.opensuse.org/package/show/home:wolfi323:branches:KDE:Extra/libkgapi

The issue cannot be deduced from the build warnings this time, AFAICS.
Comment 1 Wolfgang Bauer 2019-08-26 19:49:02 UTC
This is a valgrind log of the crash:
==16823== Memcheck, a memory error detector
==16823== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
==16823== Using Valgrind-3.15.0 and LibVEX; rerun with -h for copyright info
==16823== Command: /usr/lib64/libexec/kf5/kioslave /usr/lib64/qt5/plugins/kf5/kio/gdrive.so gdrive local:/run/user/1000/klauncherBAiudp.1.slave-socket local:/run/user/1000/dolphinuYtVCB.14.slave-socket
==16823== 
==16823== Invalid read of size 4
==16823==    at 0x7EE1890: QtPrivate::RefCount::ref() (atomic_base.h:419)
==16823==    by 0x7EAA997: _GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186 (in /usr/lib64/libKPimGAPIDrive.so.5.12.0)
==16823==    by 0x400FA19: call_init.part.0 (in /lib64/ld-2.29.so)
==16823==    by 0x400FB18: _dl_init (in /lib64/ld-2.29.so)
==16823==    by 0x40139FD: dl_open_worker (in /lib64/ld-2.29.so)
==16823==    by 0x4992A50: _dl_catch_exception (in /lib64/libc-2.29.so)
==16823==    by 0x4013299: _dl_open (in /lib64/ld-2.29.so)
==16823==    by 0x590A257: dlopen_doit (in /lib64/libdl-2.29.so)
==16823==    by 0x4992A50: _dl_catch_exception (in /lib64/libc-2.29.so)
==16823==    by 0x4992AEE: _dl_catch_error (in /lib64/libc-2.29.so)
==16823==    by 0x590A974: _dlerror_run (in /lib64/libdl-2.29.so)
==16823==    by 0x590A2E5: dlopen@@GLIBC_2.2.5 (in /lib64/libdl-2.29.so)
==16823==  Address 0x0 is not stack'd, malloc'd or (recently) free'd
==16823== 
==16823== 
==16823== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==16823==  Access not within mapped region at address 0x0
==16823==    at 0x7EE1890: QtPrivate::RefCount::ref() (atomic_base.h:419)
==16823==    by 0x7EAA997: _GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186 (in /usr/lib64/libKPimGAPIDrive.so.5.12.0)
==16823==    by 0x400FA19: call_init.part.0 (in /lib64/ld-2.29.so)
==16823==    by 0x400FB18: _dl_init (in /lib64/ld-2.29.so)
==16823==    by 0x40139FD: dl_open_worker (in /lib64/ld-2.29.so)
==16823==    by 0x4992A50: _dl_catch_exception (in /lib64/libc-2.29.so)
==16823==    by 0x4013299: _dl_open (in /lib64/ld-2.29.so)
==16823==    by 0x590A257: dlopen_doit (in /lib64/libdl-2.29.so)
==16823==    by 0x4992A50: _dl_catch_exception (in /lib64/libc-2.29.so)
==16823==    by 0x4992AEE: _dl_catch_error (in /lib64/libc-2.29.so)
==16823==    by 0x590A974: _dlerror_run (in /lib64/libdl-2.29.so)
==16823==    by 0x590A2E5: dlopen@@GLIBC_2.2.5 (in /lib64/libdl-2.29.so)
==16823==  If you believe this happened as a result of a stack
==16823==  overflow in your program's main thread (unlikely but
==16823==  possible), you can try to increase the size of the
==16823==  main thread stack using the --main-stacksize= flag.
==16823==  The main thread stack size used in this run was 8388608.
Comment 2 Hans-Peter Jansen 2019-08-26 20:32:30 UTC
Hmm, crash in QtPrivate::RefCount::ref()

Could be a crash, that always exists, but triggers only due to different timing under LTO. I've seen such a lot with PyQt in dtors on exit, but here we're in moc setup.

Time to gdb that thing, but not tonight...
Comment 3 Sebastian Kuhne 2019-08-27 04:50:10 UTC
I can confirm the same behaviour with Tumbleweed, latest upgrade.
Also, I see the same behaviour with KDE Neon, latest upgrade.

So, this is probably not an openSUSE issue but more a KDE topic? However, KDE bugzilla so far does not mention a similar issue.
Comment 4 Wolfgang Bauer 2019-08-27 05:05:32 UTC
(In reply to Sebastian Kuhne from comment #3)
> Also, I see the same behaviour with KDE Neon, latest upgrade.

That's not necessarily the same problem though.
Maybe KDE Neon just "forgot" to rebuild kio-gdrive against the latest libkgapi-19.08.0 (that happened with 19.04 as well)...
Comment 5 Sebastian Kuhne 2019-08-27 05:09:53 UTC
(In reply to Wolfgang Bauer from comment #4)
> (In reply to Sebastian Kuhne from comment #3)
> > Also, I see the same behaviour with KDE Neon, latest upgrade.
> 
> That's not necessarily the same problem though.
> Maybe KDE Neon just "forgot" to rebuild kio-gdrive against the latest
> libkgapi-19.08.0 (that happened with 19.04 as well)...

Ok, Thanks and understood.
Comment 6 Wolfgang Bauer 2019-08-27 07:15:45 UTC
Btw, would it be acceptable to disable LTO for now in libkgapi until the actual problem can be isolated and fixed?
That would at least make it work again for users...
Comment 7 Richard Biener 2019-08-27 07:24:32 UTC
(In reply to Hans-Peter Jansen from comment #2)
> Hmm, crash in QtPrivate::RefCount::ref()
> 
> Could be a crash, that always exists, but triggers only due to different
> timing under LTO. I've seen such a lot with PyQt in dtors on exit, but here
> we're in moc setup.
> 
> Time to gdb that thing, but not tonight...

Probably not a timing issue but a global constructor ordering issue.  Note
that C++ does not guarantee any ordering of global ctor evaluation between
translation units, so if there's any dependence of a global ctor on another
global variable that has a runtime ctor then you are in undefined territory.

From the backtrace it's impossible to see which ctor is involved here though,
maybe you can attach gdb to valgrind and with debuginfo figure out which
particular ctor (from which source) we're in and what the dependent object
is.

I guess the issue can be reproduced without LTO by permutating the objects
on the linker command line until you hit the issue...
Comment 8 Hans-Peter Jansen 2019-08-27 12:05:45 UTC
Okay, debugging with gdb failed so far:

I've tried:
```
$ KDE_SLAVE_DEBUG_WAIT=gdrive kdeinit5
kdeinit5: Shutting down running client.
klauncher: Exiting on signal 15
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
Klauncher running in slave-debug mode for slaves of protocol 'gdrive'

$ kioclient5 exec gdrive:/
kdeinit5: (gdrive.so ) Pipe closed unexpectedlykdeinit5: Pipe closed unexpectedly: Resource temporarily unavailable
kf5.kio.core: couldn't create slave: "klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/gdrive.so'."
kf5.kio.widgets: KRun(0x55f7f6bb4c40) ERROR 173 "Unable to create io-slave. klauncher said: Error loading '/usr/lib64/qt5/plugins/kf5/kio/gdrive.so'."
```

stracing shows, it crashes early in the ctor:
```
15655 12:46:04 read(3</proc/15655/status>, "00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00"..., 1024) = 226
15655 12:46:04 read(3</proc/15655/status>, "", 1024) = 0
15655 12:46:04 close(3</proc/15655/status>) = 0
15655 12:46:04 brk(0x55a05ee3c000)      = 0x55a05ee3c000
15655 12:46:04 openat(AT_FDCWD, "/proc/sys/crypto/fips_enabled", O_RDONLY) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
15655 12:46:04 access("/etc/system-fips", F_OK) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
15655 12:46:04 getrandom("\x14", 1, GRND_NONBLOCK) = 1
15655 12:46:04 stat("/etc/gnutls/config", 0x7ffc92831eb0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
15655 12:46:04 futex(0x7f65bce8e128, FUTEX_WAKE_PRIVATE, 2147483647) = 0
15655 12:46:04 futex(0x7f65bce8e128, FUTEX_WAKE_PRIVATE, 2147483647) = 0
15655 12:46:04 --- SIGSEGV {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=NULL} ---
15655 12:46:04 +++ killed by SIGSEGV (core dumped) +++
```

Without LTO:
```
12379 12:18:54 read(3, "Name:\tgdrive.so\nUmask:\t0002\nState:\tR (running)\nTgid:\t12379\nNgid:\t0\nPid:\t12379\nPPid:\t9352\nTracerPid:\t12349\nUid:\t1000\t1000\t1000\t10"..., 1024) = 1024
12379 12:18:54 read(3, "00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00"..., 1024) = 226
12379 12:18:54 read(3, "", 1024)        = 0
12379 12:18:54 close(3)                 = 0
12379 12:18:54 brk(0x55a05ee3c000)      = 0x55a05ee3c000
12379 12:18:54 openat(AT_FDCWD, "/proc/sys/crypto/fips_enabled", O_RDONLY) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
12379 12:18:54 access("/etc/system-fips", F_OK) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
12379 12:18:54 getrandom("\xf1", 1, GRND_NONBLOCK) = 1
12379 12:18:54 stat("/etc/gnutls/config", 0x7ffc92831eb0) = -1 ENOENT (Datei oder Verzeichnis nicht gefunden)
12379 12:18:54 futex(0x7f65bce8e128, FUTEX_WAKE_PRIVATE, 2147483647) = 0
12379 12:18:54 futex(0x7f65bce8e128, FUTEX_WAKE_PRIVATE, 2147483647) = 0
12379 12:18:54 munmap(0x7f65b98f5000, 227448) = 0
12379 12:18:54 write(37, "\0", 1)       = 1
```

the munmap isn't successful in the LTO variant.

The gdrive ctor is inconspicuous (excerpts):
```
class KIOGDrive : public KIO::SlaveBase
{
public:                
    explicit KIOGDrive(const QByteArray &protocol,
                       const QByteArray &pool_socket,
                       const QByteArray &app_socket);
private:
    std::unique_ptr<AbstractAccountManager> m_accountManager;
}

KIOGDrive::KIOGDrive(const QByteArray &protocol, const QByteArray &pool_socket,
                      const QByteArray &app_socket):
    SlaveBase("gdrive", pool_socket, app_socket)
{   
    Q_UNUSED(protocol);
    
    m_accountManager.reset(new AccountManager);

    qCDebug(GDRIVE) << "KIO GDrive ready: version" << GDRIVE_VERSION_STRING;
}
```

but if KIO::SlaveBase is the culprit, wouldn't we see this issue more at other sites as well?

Wolfgang, any idea, why gdb isn't attachable? You valgrinded it successfully, 
most probably with something like
```
KDE_SLAVE_VALGRIND=gdrive kdeinit5
```
Did you?

Running out of time right now. Sorry.
Comment 9 Richard Biener 2019-08-27 12:16:40 UTC
If you can reproduce in valgrind then run valgrind with --vgdb=yes --vgdb-stop-at=yes (or =full).  IIRC valgrind on error then prints instructions how
to attach to its internal gdbserver with gdb.
Comment 10 Wolfgang Bauer 2019-08-27 12:35:51 UTC
(In reply to Hans-Peter Jansen from comment #8)
> Wolfgang, any idea, why gdb isn't attachable? You valgrinded it
> successfully, 
> most probably with something like
> ```
> KDE_SLAVE_VALGRIND=gdrive kdeinit5
> ```
> Did you?

Yes, indeed.

The KDE_SLAVE_DEBUG_WAIT method didn't work here either, maybe because the crash already happens when libKPimGAPI5 is loaded.

(In reply to Richard Biener from comment #9)
> If you can reproduce in valgrind then run valgrind with --vgdb=yes
> --vgdb-stop-at=yes (or =full).  IIRC valgrind on error then prints
> instructions how
> to attach to its internal gdbserver with gdb.

According to https://community.kde.org/Guidelines_and_HOWTOs/Debugging/Debugging_IOSlaves#Debugging_io-slaves_with_valgrind one can pass options to valgrind via the $VALGRIND_OPTS environment variable.

So I hope something like this will work to attach gdb to it:
KDE_SLAVE_VALGRIND=gdrive VALGRIND_OPTS=--vgdb=yes kdeinit5

I'll give it a try shortly...
Comment 11 Hans-Peter Jansen 2019-08-27 13:52:21 UTC
This is, what worked here:

Prepare gdb:
gdb /usr/lib64/libexec/kf5/kioslave
(gdb) target remote | /usr/lib64/valgrind/../../bin/vgdb --pid=

KDE_SLAVE_VALGRIND=gdrive VALGRIND_OPTS='--vgdb=full --vgdb-stop-at=startup' kdeinit5

Quickly enter PID and c(ontinue):

Program received signal SIGSEGV, Segmentation fault.
QtPrivate::RefCount::ref (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:55
55              int count = atomic.load();
(gdb) bt
#0  0x0000000007f08890 in QtPrivate::RefCount::ref() (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:55
#1  0x0000000007ed1998 in global constructors keyed to 65535_0_mocs_compilation.cpp.o.46186 () at /usr/lib64/libKPimGAPIDrive.so.5
#2  0x000000000400fa1a in call_init (l=<optimized out>, argc=argc@entry=5, argv=argv@entry=0x1ffefff508, env=env@entry=0x1ffefff538) at dl-init.c:72
#3  0x000000000400fb19 in call_init (env=0x1ffefff538, argv=0x1ffefff508, argc=5, l=<optimized out>) at dl-init.c:30
#4  0x000000000400fb19 in _dl_init (main_map=main_map@entry=0x5d845d0, argc=5, argv=0x1ffefff508, env=0x1ffefff538) at dl-init.c:119
#5  0x00000000040139fe in dl_open_worker (a=a@entry=0x1ffeffef20) at dl-open.c:506
#6  0x00000000049b5a51 in __GI__dl_catch_exception (exception=<optimized out>, operate=<optimized out>, args=<optimized out>) at dl-error-skeleton.c:196
#7  0x000000000401329a in _dl_open
    (file=0x5d844b8 "/usr/lib64/qt5/plugins/kf5/kio/gdrive.so", mode=-2147483647, caller_dlopen=0x4d5eadf <QLibraryPrivate::load_sys()+1295>, nsid=-2, argc=5, argv=<optimized out>, env=0x1ffefff538) at dl-open.c:588
#8  0x000000000592d258 in dlopen_doit (a=a@entry=0x1ffefff140) at dlopen.c:66
#9  0x00000000049b5a51 in __GI__dl_catch_exception (exception=exception@entry=0x1ffefff0e0, operate=<optimized out>, args=<optimized out>)
    at dl-error-skeleton.c:196
#10 0x00000000049b5aef in __GI__dl_catch_error (objname=0x5d84000, errstring=0x5d84008, mallocedp=0x5d83ff8, operate=<optimized out>, args=<optimized out>)
    at dl-error-skeleton.c:215
#11 0x000000000592d975 in _dlerror_run (operate=operate@entry=0x592d200 <dlopen_doit>, args=args@entry=0x1ffefff140) at dlerror.c:163
#12 0x000000000592d2e6 in __dlopen (file=<optimized out>, mode=mode@entry=1) at dlopen.c:87
#13 0x0000000004d5eadf in QLibraryPrivate::load_sys() (this=this@entry=0x5d836b0) at ../../include/QtCore/../../src/corelib/tools/qarraydata.h:208
#14 0x0000000004d58ce8 in QLibraryPrivate::load() (this=0x5d836b0) at plugin/qlibrary.cpp:553
#15 0x0000000004d58ce8 in QLibrary::load() (this=<optimized out>) at plugin/qlibrary.cpp:808
#16 0x0000000000109349 in main(int, char**) (argc=5, argv=0x1ffefff508) at /usr/src/debug/kio-5.61.0-1.1.x86_64/src/kioslave/kioslave.cpp:81


full bt of top stack frames:
#0  0x0000000007f08890 in QtPrivate::RefCount::ref() (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:55
        count = <optimized out>
#1  0x0000000007ed1998 in global constructors keyed to 65535_0_mocs_compilation.cpp.o.46186 () at /usr/lib64/libKPimGAPIDrive.so.5
#2  0x000000000400fa1a in call_init (l=<optimized out>, argc=argc@entry=5, argv=argv@entry=0x1ffefff508, env=env@entry=0x1ffefff538) at dl-init.c:72
        j = <optimized out>
        jm = <optimized out>
        addrs = <optimized out>
        init_array = <optimized out>
#3  0x000000000400fb19 in call_init (env=0x1ffefff538, argv=0x1ffefff508, argc=5, l=<optimized out>) at dl-init.c:30
        preinit_array = <optimized out>
        preinit_array_size = <optimized out>
        i = <optimized out>
#4  0x000000000400fb19 in _dl_init (main_map=main_map@entry=0x5d845d0, argc=5, argv=0x1ffefff508, env=0x1ffefff538) at dl-init.c:119
        preinit_array = <optimized out>
        preinit_array_size = <optimized out>
        i = <optimized out>
#5  0x00000000040139fe in dl_open_worker (a=a@entry=0x1ffeffef20) at dl-open.c:506
        args = 0x1ffeffef20
        file = <optimized out>
        mode = <optimized out>
        call_map = <optimized out>
        dst = <optimized out>
        new = 0x5d845d0
        __PRETTY_FUNCTION__ = "dl_open_worker"
        r = <optimized out>
        reloc_mode = <optimized out>
        nmaps = <optimized out>
        l = <optimized out>
        maps = 
          {0x5d845d0, 0x5d84bc0, 0x5d85180, 0x5d85730, 0x5d86df0, 0x5d87fc0, 0x5d88660, 0x5d85ce0, 0x5d88c20, 0x5d891e0, 0x5d89e80, 0x5d8a9e0, 0x5d897c0, 0x5d8fa0, 0x5d8bb10, 0x5d8cee0, 0x5d8d4a0, 0x5d8da50, 0x5d905a0, 0x5d90b70, 0x5d91140, 0x5d91710, 0x5d8b560, 0x5d86290, 0x5d91cf0, 0x5d922c0, 0x5d8c0d0, 0x5d8c690, x5d8a430, 0x5d92ae0, 0x5d93670, 0x5d93c40, 0x5d930b0, 0x5d94300, 0x5d95410, 0x5d95f70, 0x5d96b80, 0x5d97200, 0x5d977b0, 0x5d9b1d0, 0x5d9b780, 0x5d9bd30, 0x5d8640, 0x5d9c430, 0x5d9c9e0, 0x5d87950, 0x5d8fe40, 0x5d9a9a0, 0x5d8f2e0, 0x5d99770, 0x5d99d20, 0x5d9d250, 0x5d9d800, 0x5d9e360, 0x5d9e910, 0x5d9eec0, 0x5d9f470, 05da0580, 0x5da1690, 0x5da1c40, 0x5da27a0, 0x5da2d50, 0x5da3300, 0x5da3e60, 0x5da38b0, 0x5d9ffd0, 0x5da0b30, 0x5da49c0, 0x5da4f70, 0x5da5520, 0x5da5ad0, 0x5da600, 0x5da6660, 0x5da6f80, 0x5d873a0, 0x5d8e690, 0x5d8e0e0, 0x5d98ff0, 0x5da81f0, 0x5da95e0, 0x5da9b90, 0x5d9ddb0, 0x5daae40, 0x5dab6e0, 0x5da4410, 0x5dabc90, 0xdac240, 0x5dac7f0, 0x5dacda0, 0x5dad350, 0x5dad900, 0x5dadeb0, 0x5dae460, 0x5daea10, 0x5daefc0, 0x5daf570, 0x5dafb20, 0x5db00d0, 0x5db0c30, 0x5db11e0, 0x5db179, 0x5db1d40, 0x5db28a0, 0x5db30b0, 0x5db3660, 0x5d9fa20, 0x5daa570, 0x5da10e0, 0x5d9a3f0, 0x5d8f890, 0x5da8b90, 0x5d965d0, 0x5db41c0, 0x5db3c10, 0x5db4770, 0x5b4d20, 0x5db5410, 0x5db22f0, 0x5db59c0, 0x5da21f0, 0x5d948b0, 0x5d94e60, 0x5da78c0, 0x5db5f70, 0x5db6dd0, 0x5db8200, 0x5db8a20, 0x5db8fd0, 0x5db0680, 0x5db78d0 0x5db9710, 0x5d989b0, 0x5db9cc0, 0x5dba270, 0x5dba820, 0x5dbb380, 0x5dbadd0, 0x5dbb930, 0x5dbc160, 0x5dbc990, 0x5dbd540, 0x5d98310, 0x5dbdaf0, 0x5d8ec40, 0x5de0a0, 0x5dbe650, 0x5d97d60, 0x5dbed40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x5dbe0a0, 0x1ffeffed50, 0x1ffeffef01, 0x402a100 <_r_debug>, 0x8000000100000001, 0x1103, 0x8000001, 0x0, 0x5, 0x4d5eadf <QLibraryPrivate::load_sys()+1295>, 0xfffffffffffffffe, 0x5d844b8, 0x49b5a51 <__GI__dl_catch_exception+113>, 0x1ffeffeff0, 0x1ffeffef0, 0x4013620 <dl_open_worker>, 0x1ffeffef20, 0x6, 0x0, 0x1ffeffef00, 0x1ffeffee0c, 0x80000001, 0x3f94633a0ecd5efa, 0x1ffeffef00, 0x5, 0x4d5eadf <QLibraryPrivate:load_sys()+1295>, 0xfffffffffffffffe, 0x3fab95755c7d5efa, 0x3f9461bc33c15efa, 0x0 <repeats 17 times>, 0xe61fa74c55f2bc00, 0x1ffeffef00, 0x401329a <_dl_open+15>, 0x0, 0x0, 0x0, 0x0, 0x5d844b8...}
        relocation_in_progress = <optimized out>
        any_tls = <optimized out>
        first_static_tls = <optimized out>
Comment 12 Richard Biener 2019-08-27 14:10:35 UTC
(In reply to Hans-Peter Jansen from comment #11)
> This is, what worked here:
> 
> Prepare gdb:
> gdb /usr/lib64/libexec/kf5/kioslave
> (gdb) target remote | /usr/lib64/valgrind/../../bin/vgdb --pid=
> 
> KDE_SLAVE_VALGRIND=gdrive VALGRIND_OPTS='--vgdb=full --vgdb-stop-at=startup'
> kdeinit5
> 
> Quickly enter PID and c(ontinue):
> 
> Program received signal SIGSEGV, Segmentation fault.
> QtPrivate::RefCount::ref (this=0x0) at /usr/include/qt5/QtCore/qrefcount.h:55
> 55              int count = atomic.load();
> (gdb) bt
> #0  0x0000000007f08890 in QtPrivate::RefCount::ref() (this=0x0) at
> /usr/include/qt5/QtCore/qrefcount.h:55
> #1  0x0000000007ed1998 in global constructors keyed to
> 65535_0_mocs_compilation.cpp.o.46186 () at /usr/lib64/libKPimGAPIDrive.so.5

Hmm, too bad there's no better location on this - I guess that might be
because GCC inlined things into the ctor aggregating function which is
artificially generated by the compiler.  Or that debug info in these
cases are lacking in general :/

Disassembly at this frame might tell more, do

(gdb) up
.. should now be at 'global constructors keye...'
(gdb) disassemble/s

press enter until you see the pc marker '=>' and look for a source line
in that context.
Comment 13 Hans-Peter Jansen 2019-08-27 20:52:34 UTC
Unfortunately, it keep being as mysterious as before. Maybe, you can make more sense out of it:

I only see a lot of QString dtors, that frees items, right before the QtPrivate::RefCount::ref() call.

(gdb) up
#1  0x0000000007ed1998 in global constructors keyed to 65535_0_mocs_compilation.cpp.o.46186 () from /usr/lib64/libKPimGAPIDrive.so.5
(gdb) disassemble 
Dump of assembler code for function _GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186:
   0x0000000007ed0c40 <+0>:     push   %r15
   0x0000000007ed0c42 <+2>:     lea    0x5b9cf(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0c49 <+9>:     lea    0x5c008(%rip),%rsi        # 0x7f2cc58 <_ZN12_GLOBAL__N_1L14MaxResultsAttrE.lto_priv.1>
   0x0000000007ed0c50 <+16>:    push   %r14
   0x0000000007ed0c52 <+18>:    lea    0x36cc7(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0c59 <+25>:    push   %r13
   0x0000000007ed0c5b <+27>:    push   %r12
   0x0000000007ed0c5d <+29>:    push   %rbp
   0x0000000007ed0c5e <+30>:    push   %rbx
   0x0000000007ed0c5f <+31>:    sub    $0x68,%rsp
   0x0000000007ed0c63 <+35>:    mov    %fs:0x28,%rax
   0x0000000007ed0c6c <+44>:    mov    %rax,0x58(%rsp)
   0x0000000007ed0c71 <+49>:    xor    %eax,%eax
   0x0000000007ed0c73 <+51>:    lea    0x3e7a6(%rip),%rax        # 0x7f0f420 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.6>
   0x0000000007ed0c7a <+58>:    lea    0x10(%rsp),%rbp
   0x0000000007ed0c7f <+63>:    mov    %rax,0x5bfd2(%rip)        # 0x7f2cc58 <_ZN12_GLOBAL__N_1L14MaxResultsAttrE.lto_priv.1>
   0x0000000007ed0c86 <+70>:    lea    0x50(%rsp),%rbx
   0x0000000007ed0c8b <+75>:    callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0c90 <+80>:    lea    0x3e729(%rip),%rax        # 0x7f0f3c0 <_ZZNK12_GLOBAL__N_1UlvE0_clEvE15qstring_literal.lto_priv.3>
   0x0000000007ed0c97 <+87>:    lea    0x5b97a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0c9e <+94>:    lea    0x5bfab(%rip),%rsi        # 0x7f2cc50 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.2>
   0x0000000007ed0ca5 <+101>:   lea    0x36c74(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0cac <+108>:   mov    %rax,0x5bf9d(%rip)        # 0x7f2cc50 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.2>
   0x0000000007ed0cb3 <+115>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0cb8 <+120>:   lea    0x3e7a1(%rip),%rax        # 0x7f0f460 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.5>
   0x0000000007ed0cbf <+127>:   lea    0x5b952(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0cc6 <+134>:   lea    0x5bf93(%rip),%rsi        # 0x7f2cc60 <_ZN12_GLOBAL__N_1L14RequestIdParamE.lto_priv.1>
   0x0000000007ed0ccd <+141>:   lea    0x36c4c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0cd4 <+148>:   mov    %rax,0x5bf85(%rip)        # 0x7f2cc60 <_ZN12_GLOBAL__N_1L14RequestIdParamE.lto_priv.1>
   0x0000000007ed0cdb <+155>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0ce0 <+160>:   lea    0x3f299(%rip),%rax        # 0x7f0ff80 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.4>
   0x0000000007ed0ce7 <+167>:   lea    0x5b92a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0cee <+174>:   lea    0x5bf7b(%rip),%rsi        # 0x7f2cc70 <_ZN12_GLOBAL__N_1L7ApiKindE.lto_priv.1>
   0x0000000007ed0cf5 <+181>:   lea    0x36c24(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0cfc <+188>:   mov    %rax,0x5bf6d(%rip)        # 0x7f2cc70 <_ZN12_GLOBAL__N_1L7ApiKindE.lto_priv.1>
   0x0000000007ed0d03 <+195>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0d08 <+200>:   lea    0x3f231(%rip),%rax        # 0x7f0ff40 <_ZZNK12_GLOBAL__N_1UlvE0_clEvE15qstring_literal.lto_priv.2>
   0x0000000007ed0d0f <+207>:   lea    0x5b902(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0d16 <+214>:   lea    0x5bf4b(%rip),%rsi        # 0x7f2cc68 <_ZN12_GLOBAL__N_1L11ApiKindListE.lto_priv.1>
   0x0000000007ed0d1d <+221>:   lea    0x36bfc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0d24 <+228>:   mov    %rax,0x5bf3d(%rip)        # 0x7f2cc68 <_ZN12_GLOBAL__N_1L11ApiKindListE.lto_priv.1>
   0x0000000007ed0d2b <+235>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0d30 <+240>:   mov    0x5ab21(%rip),%rsi        # 0x7f2b858
   0x0000000007ed0d37 <+247>:   lea    0x3f1a2(%rip),%rax        # 0x7f0fee0 <_ZZNK6KGAPI25Drive9Teamdrive12Restrictions6FieldsUlvE1_clEvE15qstring_literal>
   0x0000000007ed0d3e <+254>:   lea    0x5b8d3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0d45 <+261>:   lea    0x36bd4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0d4c <+268>:   mov    %rax,(%rsi)
   0x0000000007ed0d4f <+271>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0d54 <+276>:   mov    0x5a9ed(%rip),%rsi        # 0x7f2b748
   0x0000000007ed0d5b <+283>:   lea    0x3f11e(%rip),%rax        # 0x7f0fe80 <_ZZNK6KGAPI25Drive9Teamdrive12Restrictions6FieldsUlvE2_clEvE15qstring_literal>
   0x0000000007ed0d62 <+290>:   lea    0x5b8af(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0d69 <+297>:   lea    0x36bb0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0d70 <+304>:   mov    %rax,(%rsi)
   0x0000000007ed0d73 <+307>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0d78 <+312>:   mov    0x5b051(%rip),%rsi        # 0x7f2bdd0
   0x0000000007ed0d7f <+319>:   lea    0x3f0ba(%rip),%rax        # 0x7f0fe40 <_ZZNK6KGAPI25Drive9Teamdrive12Restrictions6FieldsUlvE3_clEvE15qstring_literal>
   0x0000000007ed0d86 <+326>:   lea    0x5b88b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0d8d <+333>:   lea    0x36b8c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0d94 <+340>:   mov    %rax,(%rsi)
   0x0000000007ed0d97 <+343>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0d9c <+348>:   mov    0x5b175(%rip),%rsi        # 0x7f2bf18
   0x0000000007ed0da3 <+355>:   lea    0x3f056(%rip),%rax        # 0x7f0fe00 <_ZZNK6KGAPI25Drive9Teamdrive12Restrictions6FieldsUlvE4_clEvE15qstring_literal>
   0x0000000007ed0daa <+362>:   lea    0x5b867(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0db1 <+369>:   lea    0x36b68(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0db8 <+376>:   mov    %rax,(%rsi)
   0x0000000007ed0dbb <+379>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0dc0 <+384>:   mov    0x5abf1(%rip),%rsi        # 0x7f2b9b8
   0x0000000007ed0dc7 <+391>:   lea    0x3eff2(%rip),%rax        # 0x7f0fdc0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE5_clEvE15qstring_literal>
   0x0000000007ed0dce <+398>:   lea    0x5b843(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0dd5 <+405>:   lea    0x36b44(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0ddc <+412>:   mov    %rax,(%rsi)
   0x0000000007ed0ddf <+415>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0de4 <+420>:   mov    0x5ab85(%rip),%rsi        # 0x7f2b970
   0x0000000007ed0deb <+427>:   lea    0x3ef4e(%rip),%rax        # 0x7f0fd40 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE6_clEvE15qstring_literal>
   0x0000000007ed0df2 <+434>:   lea    0x5b81f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0df9 <+441>:   lea    0x36b20(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0e00 <+448>:   mov    %rax,(%rsi)
   0x0000000007ed0e03 <+451>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0e08 <+456>:   mov    0x5af69(%rip),%rsi        # 0x7f2bd78
   0x0000000007ed0e0f <+463>:   lea    0x3eeca(%rip),%rax        # 0x7f0fce0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE7_clEvE15qstring_literal>
   0x0000000007ed0e16 <+470>:   lea    0x5b7fb(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0e1d <+477>:   lea    0x36afc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0e24 <+484>:   mov    %rax,(%rsi)
   0x0000000007ed0e27 <+487>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0e2c <+492>:   mov    0x5aeb5(%rip),%rsi        # 0x7f2bce8
   0x0000000007ed0e33 <+499>:   lea    0x3ee46(%rip),%rax        # 0x7f0fc80 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE8_clEvE15qstring_literal>
   0x0000000007ed0e3a <+506>:   lea    0x5b7d7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0e41 <+513>:   lea    0x36ad8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0e48 <+520>:   mov    %rax,(%rsi)
   0x0000000007ed0e4b <+523>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0e50 <+528>:   mov    0x5ae81(%rip),%rsi        # 0x7f2bcd8
   0x0000000007ed0e57 <+535>:   lea    0x3edc2(%rip),%rax        # 0x7f0fc20 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE9_clEvE15qstring_literal>
   0x0000000007ed0e5e <+542>:   lea    0x5b7b3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0e65 <+549>:   lea    0x36ab4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0e6c <+556>:   mov    %rax,(%rsi)
   0x0000000007ed0e6f <+559>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0e74 <+564>:   mov    0x5ab7d(%rip),%rsi        # 0x7f2b9f8
   0x0000000007ed0e7b <+571>:   lea    0x3ed5e(%rip),%rax        # 0x7f0fbe0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE10_clEvE15qstring_literal>
   0x0000000007ed0e82 <+578>:   lea    0x5b78f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0e89 <+585>:   lea    0x36a90(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0e90 <+592>:   mov    %rax,(%rsi)
   0x0000000007ed0e93 <+595>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0e98 <+600>:   mov    0x5a9f1(%rip),%rsi        # 0x7f2b890
   0x0000000007ed0e9f <+607>:   lea    0x3ecfa(%rip),%rax        # 0x7f0fba0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE11_clEvE15qstring_literal>
   0x0000000007ed0ea6 <+614>:   lea    0x5b76b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0ead <+621>:   lea    0x36a6c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0eb4 <+628>:   mov    %rax,(%rsi)
   0x0000000007ed0eb7 <+631>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0ebc <+636>:   mov    0x5aadd(%rip),%rsi        # 0x7f2b9a0
   0x0000000007ed0ec3 <+643>:   lea    0x3ec96(%rip),%rax        # 0x7f0fb60 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE12_clEvE15qstring_literal>
   0x0000000007ed0eca <+650>:   lea    0x5b747(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0ed1 <+657>:   lea    0x36a48(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0ed8 <+664>:   mov    %rax,(%rsi)
   0x0000000007ed0edb <+667>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0ee0 <+672>:   mov    0x5adc1(%rip),%rsi        # 0x7f2bca8
   0x0000000007ed0ee7 <+679>:   lea    0x3ec32(%rip),%rax        # 0x7f0fb20 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE13_clEvE15qstring_literal>
   0x0000000007ed0eee <+686>:   lea    0x5b723(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0ef5 <+693>:   lea    0x36a24(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0efc <+700>:   mov    %rax,(%rsi)
   0x0000000007ed0eff <+703>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0f04 <+708>:   mov    0x5afc5(%rip),%rsi        # 0x7f2bed0
   0x0000000007ed0f0b <+715>:   lea    0x3ebce(%rip),%rax        # 0x7f0fae0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE14_clEvE15qstring_literal>
   0x0000000007ed0f12 <+722>:   lea    0x5b6ff(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0f19 <+729>:   lea    0x36a00(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0f20 <+736>:   mov    %rax,(%rsi)
   0x0000000007ed0f23 <+739>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0f28 <+744>:   mov    0x5ab89(%rip),%rsi        # 0x7f2bab8
   0x0000000007ed0f2f <+751>:   lea    0x3eb6a(%rip),%rax        # 0x7f0faa0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE15_clEvE15qstring_literal>
   0x0000000007ed0f36 <+758>:   lea    0x5b6db(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0f3d <+765>:   lea    0x369dc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0f44 <+772>:   mov    %rax,(%rsi)
   0x0000000007ed0f47 <+775>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0f4c <+780>:   mov    0x5aadd(%rip),%rsi        # 0x7f2ba30
   0x0000000007ed0f53 <+787>:   lea    0x3eb06(%rip),%rax        # 0x7f0fa60 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE16_clEvE15qstring_literal>
   0x0000000007ed0f5a <+794>:   lea    0x5b6b7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0f61 <+801>:   lea    0x369b8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0f68 <+808>:   mov    %rax,(%rsi)
   0x0000000007ed0f6b <+811>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0f70 <+816>:   mov    0x5a8d9(%rip),%rsi        # 0x7f2b850
   0x0000000007ed0f77 <+823>:   lea    0x3eaa2(%rip),%rax        # 0x7f0fa20 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE17_clEvE15qstring_literal>
   0x0000000007ed0f7e <+830>:   lea    0x5b693(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0f85 <+837>:   lea    0x36994(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0f8c <+844>:   mov    %rax,(%rsi)
   0x0000000007ed0f8f <+847>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0f94 <+852>:   mov    0x5ac6d(%rip),%rsi        # 0x7f2bc08
   0x0000000007ed0f9b <+859>:   lea    0x3ea3e(%rip),%rax        # 0x7f0f9e0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE18_clEvE15qstring_literal>
   0x0000000007ed0fa2 <+866>:   lea    0x5b66f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0fa9 <+873>:   lea    0x36970(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0fb0 <+880>:   mov    %rax,(%rsi)
   0x0000000007ed0fb3 <+883>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0fb8 <+888>:   mov    0x5aa11(%rip),%rsi        # 0x7f2b9d0
   0x0000000007ed0fbf <+895>:   lea    0x3e9da(%rip),%rax        # 0x7f0f9a0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE19_clEvE15qstring_literal>
   0x0000000007ed0fc6 <+902>:   lea    0x5b64b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0fcd <+909>:   lea    0x3694c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0fd4 <+916>:   mov    %rax,(%rsi)
   0x0000000007ed0fd7 <+919>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed0fdc <+924>:   mov    0x5ae55(%rip),%rsi        # 0x7f2be38
   0x0000000007ed0fe3 <+931>:   lea    0x3e976(%rip),%rax        # 0x7f0f960 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE20_clEvE15qstring_literal>
   0x0000000007ed0fea <+938>:   lea    0x5b627(%rip),%rdx        # 0x7f2c618
   0x0000000007ed0ff1 <+945>:   lea    0x36928(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed0ff8 <+952>:   mov    %rax,(%rsi)
   0x0000000007ed0ffb <+955>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1000 <+960>:   mov    0x5acb9(%rip),%rsi        # 0x7f2bcc0
   0x0000000007ed1007 <+967>:   lea    0x3e912(%rip),%rax        # 0x7f0f920 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE21_clEvE15qstring_literal>
   0x0000000007ed100e <+974>:   lea    0x5b603(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1015 <+981>:   lea    0x36904(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed101c <+988>:   mov    %rax,(%rsi)
   0x0000000007ed101f <+991>:   callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1024 <+996>:   mov    0x5af1d(%rip),%rsi        # 0x7f2bf48
   0x0000000007ed102b <+1003>:  lea    0x3e8ae(%rip),%rax        # 0x7f0f8e0 <_ZZNK6KGAPI25Drive9Teamdrive12Capabilities6FieldsUlvE22_clEvE15qstring_literal>
   0x0000000007ed1032 <+1010>:  lea    0x5b5df(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1039 <+1017>:  lea    0x368e0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1040 <+1024>:  mov    %rax,(%rsi)
   0x0000000007ed1043 <+1027>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1048 <+1032>:  mov    0x5a931(%rip),%rsi        # 0x7f2b980
   0x0000000007ed104f <+1039>:  lea    0x3e86a(%rip),%rax        # 0x7f0f8c0 <_ZZNK6KGAPI25Drive9Teamdrive19BackgroundImageFile6FieldsUlvE23_clEvE15qstring_literal>
   0x0000000007ed1056 <+1046>:  lea    0x5b5bb(%rip),%rdx        # 0x7f2c618
   0x0000000007ed105d <+1053>:  lea    0x368bc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1064 <+1060>:  mov    %rax,(%rsi)
   0x0000000007ed1067 <+1063>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed106c <+1068>:  mov    0x5add5(%rip),%rsi        # 0x7f2be48
   0x0000000007ed1073 <+1075>:  lea    0x3e806(%rip),%rax        # 0x7f0f880 <_ZZNK6KGAPI25Drive9Teamdrive19BackgroundImageFile6FieldsUlvE24_clEvE15qstring_literal>
   0x0000000007ed107a <+1082>:  lea    0x5b597(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1081 <+1089>:  lea    0x36898(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1088 <+1096>:  mov    %rax,(%rsi)
   0x0000000007ed108b <+1099>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1090 <+1104>:  mov    0x5a9a1(%rip),%rsi        # 0x7f2ba38
   0x0000000007ed1097 <+1111>:  lea    0x3e7a2(%rip),%rax        # 0x7f0f840 <_ZZNK6KGAPI25Drive9Teamdrive19BackgroundImageFile6FieldsUlvE25_clEvE15qstring_literal>
   0x0000000007ed109e <+1118>:  lea    0x5b573(%rip),%rdx        # 0x7f2c618
   0x0000000007ed10a5 <+1125>:  lea    0x36874(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed10ac <+1132>:  mov    %rax,(%rsi)
   0x0000000007ed10af <+1135>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed10b4 <+1140>:  mov    0x5a80d(%rip),%rsi        # 0x7f2b8c8
   0x0000000007ed10bb <+1147>:  lea    0x3e73e(%rip),%rax        # 0x7f0f800 <_ZZNK6KGAPI25Drive9Teamdrive19BackgroundImageFile6FieldsUlvE26_clEvE15qstring_literal>
   0x0000000007ed10c2 <+1154>:  lea    0x5b54f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed10c9 <+1161>:  lea    0x36850(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed10d0 <+1168>:  mov    %rax,(%rsi)
   0x0000000007ed10d3 <+1171>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed10d8 <+1176>:  mov    0x5a769(%rip),%rsi        # 0x7f2b848
   0x0000000007ed10df <+1183>:  lea    0x3e6da(%rip),%rax        # 0x7f0f7c0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE27_clEvE15qstring_literal>
   0x0000000007ed10e6 <+1190>:  lea    0x5b52b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed10ed <+1197>:  lea    0x3682c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed10f4 <+1204>:  mov    %rax,(%rsi)
   0x0000000007ed10f7 <+1207>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed10fc <+1212>:  mov    0x5ae5d(%rip),%rsi        # 0x7f2bf60
   0x0000000007ed1103 <+1219>:  lea    0x3e676(%rip),%rax        # 0x7f0f780 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE28_clEvE15qstring_literal>
   0x0000000007ed110a <+1226>:  lea    0x5b507(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1111 <+1233>:  lea    0x36808(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1118 <+1240>:  mov    %rax,(%rsi)
   0x0000000007ed111b <+1243>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1120 <+1248>:  mov    0x5aac1(%rip),%rsi        # 0x7f2bbe8
   0x0000000007ed1127 <+1255>:  lea    0x3e612(%rip),%rax        # 0x7f0f740 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE29_clEvE15qstring_literal>
   0x0000000007ed112e <+1262>:  lea    0x5b4e3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1135 <+1269>:  lea    0x367e4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed113c <+1276>:  mov    %rax,(%rsi)
   0x0000000007ed113f <+1279>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1144 <+1284>:  mov    0x5aa6d(%rip),%rsi        # 0x7f2bbb8
   0x0000000007ed114b <+1291>:  lea    0x3e5ae(%rip),%rax        # 0x7f0f700 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE30_clEvE15qstring_literal>
   0x0000000007ed1152 <+1298>:  lea    0x5b4bf(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1159 <+1305>:  lea    0x367c0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1160 <+1312>:  mov    %rax,(%rsi)
   0x0000000007ed1163 <+1315>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1168 <+1320>:  mov    0x5acd1(%rip),%rsi        # 0x7f2be40
   0x0000000007ed116f <+1327>:  lea    0x3e56a(%rip),%rax        # 0x7f0f6e0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE31_clEvE15qstring_literal>
   0x0000000007ed1176 <+1334>:  lea    0x5b49b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed117d <+1341>:  lea    0x3679c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1184 <+1348>:  mov    %rax,(%rsi)
   0x0000000007ed1187 <+1351>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed118c <+1356>:  mov    0x5ae2d(%rip),%rsi        # 0x7f2bfc0
   0x0000000007ed1193 <+1363>:  lea    0x3e506(%rip),%rax        # 0x7f0f6a0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE32_clEvE15qstring_literal>
   0x0000000007ed119a <+1370>:  lea    0x5b477(%rip),%rdx        # 0x7f2c618
   0x0000000007ed11a1 <+1377>:  lea    0x36778(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed11a8 <+1384>:  mov    %rax,(%rsi)
   0x0000000007ed11ab <+1387>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed11b0 <+1392>:  mov    0x5ab71(%rip),%rsi        # 0x7f2bd28
   0x0000000007ed11b7 <+1399>:  lea    0x3e4a2(%rip),%rax        # 0x7f0f660 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE33_clEvE15qstring_literal>
   0x0000000007ed11be <+1406>:  lea    0x5b453(%rip),%rdx        # 0x7f2c618
   0x0000000007ed11c5 <+1413>:  lea    0x36754(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed11cc <+1420>:  mov    %rax,(%rsi)
   0x0000000007ed11cf <+1423>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed11d4 <+1428>:  mov    0x5aa55(%rip),%rsi        # 0x7f2bc30
   0x0000000007ed11db <+1435>:  lea    0x3e43e(%rip),%rax        # 0x7f0f620 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE34_clEvE15qstring_literal>
   0x0000000007ed11e2 <+1442>:  lea    0x5b42f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed11e9 <+1449>:  lea    0x36730(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed11f0 <+1456>:  mov    %rax,(%rsi)
   0x0000000007ed11f3 <+1459>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed11f8 <+1464>:  mov    0x5ab41(%rip),%rsi        # 0x7f2bd40
   0x0000000007ed11ff <+1471>:  lea    0x3e3da(%rip),%rax        # 0x7f0f5e0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE35_clEvE15qstring_literal>
   0x0000000007ed1206 <+1478>:  lea    0x5b40b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed120d <+1485>:  lea    0x3670c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1214 <+1492>:  mov    %rax,(%rsi)
   0x0000000007ed1217 <+1495>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed121c <+1500>:  mov    0x5a6ed(%rip),%rsi        # 0x7f2b910
   0x0000000007ed1223 <+1507>:  lea    0x3e376(%rip),%rax        # 0x7f0f5a0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE36_clEvE15qstring_literal>
   0x0000000007ed122a <+1514>:  lea    0x5b3e7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1231 <+1521>:  lea    0x366e8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1238 <+1528>:  mov    %rax,(%rsi)
   0x0000000007ed123b <+1531>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1240 <+1536>:  mov    0x5aaf1(%rip),%rsi        # 0x7f2bd38
   0x0000000007ed1247 <+1543>:  lea    0x3e312(%rip),%rax        # 0x7f0f560 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE37_clEvE15qstring_literal>
   0x0000000007ed124e <+1550>:  lea    0x5b3c3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1255 <+1557>:  lea    0x366c4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed125c <+1564>:  mov    %rax,(%rsi)
   0x0000000007ed125f <+1567>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1264 <+1572>:  mov    0x5a4ed(%rip),%rsi        # 0x7f2b758
   0x0000000007ed126b <+1579>:  lea    0x3e2ae(%rip),%rax        # 0x7f0f520 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE38_clEvE15qstring_literal>
   0x0000000007ed1272 <+1586>:  lea    0x5b39f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1279 <+1593>:  lea    0x366a0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1280 <+1600>:  mov    %rax,(%rsi)
   0x0000000007ed1283 <+1603>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1288 <+1608>:  mov    0x5a971(%rip),%rsi        # 0x7f2bc00
   0x0000000007ed128f <+1615>:  lea    0x3e24a(%rip),%rax        # 0x7f0f4e0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE39_clEvE15qstring_literal>
   0x0000000007ed1296 <+1622>:  lea    0x5b37b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed129d <+1629>:  lea    0x3667c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed12a4 <+1636>:  mov    %rax,(%rsi)
   0x0000000007ed12a7 <+1639>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed12ac <+1644>:  mov    0x5abad(%rip),%rsi        # 0x7f2be60
   0x0000000007ed12b3 <+1651>:  lea    0x3e1e6(%rip),%rax        # 0x7f0f4a0 <_ZZNK6KGAPI25Drive9Teamdrive6FieldsUlvE40_clEvE15qstring_literal>
   0x0000000007ed12ba <+1658>:  lea    0x5b357(%rip),%rdx        # 0x7f2c618
   0x0000000007ed12c1 <+1665>:  lea    0x36658(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed12c8 <+1672>:  mov    %rax,(%rsi)
   0x0000000007ed12cb <+1675>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed12d0 <+1680>:  lea    0x3ece9(%rip),%rax        # 0x7f0ffc0 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.3>
   0x0000000007ed12d7 <+1687>:  lea    0x5b33a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed12de <+1694>:  lea    0x5b993(%rip),%rsi        # 0x7f2cc78 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.1>
   0x0000000007ed12e5 <+1701>:  lea    0x36634(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed12ec <+1708>:  mov    %rax,0x5b985(%rip)        # 0x7f2cc78 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.1>
   0x0000000007ed12f3 <+1715>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed12f8 <+1720>:  lea    0x3ed81(%rip),%rax        # 0x7f10080 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.2>
   0x0000000007ed12ff <+1727>:  lea    0x5b312(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1306 <+1734>:  lea    0x5b46b(%rip),%rsi        # 0x7f2c778 <_ZN12_GLOBAL__N_1L14MaxResultsAttrE.lto_priv.0>
   0x0000000007ed130d <+1741>:  lea    0x3660c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1314 <+1748>:  mov    %rax,0x5b45d(%rip)        # 0x7f2c778 <_ZN12_GLOBAL__N_1L14MaxResultsAttrE.lto_priv.0>
   0x0000000007ed131b <+1755>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1320 <+1760>:  lea    0x3ecf9(%rip),%rax        # 0x7f10020 <_ZZNK12_GLOBAL__N_1UlvE0_clEvE15qstring_literal.lto_priv.1>
   0x0000000007ed1327 <+1767>:  lea    0x5b2ea(%rip),%rdx        # 0x7f2c618
   0x0000000007ed132e <+1774>:  lea    0x5b43b(%rip),%rsi        # 0x7f2c770 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.0>
   0x0000000007ed1335 <+1781>:  lea    0x365e4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed133c <+1788>:  mov    %rax,0x5b42d(%rip)        # 0x7f2c770 <_ZN12_GLOBAL__N_1L24UseDomainAdminAccessAttrE.lto_priv.0>
   0x0000000007ed1343 <+1795>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1348 <+1800>:  lea    0x3ed71(%rip),%rax        # 0x7f100c0 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.1>
   0x0000000007ed134f <+1807>:  lea    0x5b2c2(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1356 <+1814>:  lea    0x5b423(%rip),%rsi        # 0x7f2c780 <_ZN12_GLOBAL__N_1L14RequestIdParamE.lto_priv.0>
   0x0000000007ed135d <+1821>:  lea    0x365bc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1364 <+1828>:  mov    %rax,0x5b415(%rip)        # 0x7f2c780 <_ZN12_GLOBAL__N_1L14RequestIdParamE.lto_priv.0>
   0x0000000007ed136b <+1835>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1370 <+1840>:  lea    0x3f8c9(%rip),%rax        # 0x7f10c40 <_ZZNK12_GLOBAL__N_1UlvE_clEvE15qstring_literal.lto_priv.0>
   0x0000000007ed1377 <+1847>:  lea    0x5b29a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed137e <+1854>:  lea    0x5b553(%rip),%rsi        # 0x7f2c8d8 <_ZN12_GLOBAL__N_1L7ApiKindE.lto_priv.0>
   0x0000000007ed1385 <+1861>:  lea    0x36594(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed138c <+1868>:  mov    %rax,0x5b545(%rip)        # 0x7f2c8d8 <_ZN12_GLOBAL__N_1L7ApiKindE.lto_priv.0>
   0x0000000007ed1393 <+1875>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1398 <+1880>:  lea    0x3f861(%rip),%rax        # 0x7f10c00 <_ZZNK12_GLOBAL__N_1UlvE0_clEvE15qstring_literal.lto_priv.0>
   0x0000000007ed139f <+1887>:  lea    0x5b272(%rip),%rdx        # 0x7f2c618
   0x0000000007ed13a6 <+1894>:  lea    0x5b523(%rip),%rsi        # 0x7f2c8d0 <_ZN12_GLOBAL__N_1L11ApiKindListE.lto_priv.0>
   0x0000000007ed13ad <+1901>:  lea    0x3656c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed13b4 <+1908>:  mov    %rax,0x5b515(%rip)        # 0x7f2c8d0 <_ZN12_GLOBAL__N_1L11ApiKindListE.lto_priv.0>
   0x0000000007ed13bb <+1915>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed13c0 <+1920>:  mov    0x5a809(%rip),%rsi        # 0x7f2bbd0
   0x0000000007ed13c7 <+1927>:  lea    0x3f7d2(%rip),%rax        # 0x7f10ba0 <_ZZNK6KGAPI25Drive6Drives12Restrictions6FieldsUlvE1_clEvE15qstring_literal>
   0x0000000007ed13ce <+1934>:  lea    0x5b243(%rip),%rdx        # 0x7f2c618
   0x0000000007ed13d5 <+1941>:  lea    0x36544(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed13dc <+1948>:  mov    %rax,(%rsi)
   0x0000000007ed13df <+1951>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed13e4 <+1956>:  mov    0x5a345(%rip),%rsi        # 0x7f2b730
   0x0000000007ed13eb <+1963>:  lea    0x3f74e(%rip),%rax        # 0x7f10b40 <_ZZNK6KGAPI25Drive6Drives12Restrictions6FieldsUlvE2_clEvE15qstring_literal>
   0x0000000007ed13f2 <+1970>:  lea    0x5b21f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed13f9 <+1977>:  lea    0x36520(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1400 <+1984>:  mov    %rax,(%rsi)
   0x0000000007ed1403 <+1987>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1408 <+1992>:  mov    0x5a759(%rip),%rsi        # 0x7f2bb68
   0x0000000007ed140f <+1999>:  lea    0x3f6ea(%rip),%rax        # 0x7f10b00 <_ZZNK6KGAPI25Drive6Drives12Restrictions6FieldsUlvE3_clEvE15qstring_literal>
   0x0000000007ed1416 <+2006>:  lea    0x5b1fb(%rip),%rdx        # 0x7f2c618
   0x0000000007ed141d <+2013>:  lea    0x364fc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1424 <+2020>:  mov    %rax,(%rsi)
   0x0000000007ed1427 <+2023>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed142c <+2028>:  mov    0x5a6dd(%rip),%rsi        # 0x7f2bb10
   0x0000000007ed1433 <+2035>:  lea    0x3f686(%rip),%rax        # 0x7f10ac0 <_ZZNK6KGAPI25Drive6Drives12Restrictions6FieldsUlvE4_clEvE15qstring_literal>
   0x0000000007ed143a <+2042>:  lea    0x5b1d7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1441 <+2049>:  lea    0x364d8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1448 <+2056>:  mov    %rax,(%rsi)
   0x0000000007ed144b <+2059>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1450 <+2064>:  mov    0x5a531(%rip),%rsi        # 0x7f2b988
   0x0000000007ed1457 <+2071>:  lea    0x3f622(%rip),%rax        # 0x7f10a80 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE5_clEvE15qstring_literal>
   0x0000000007ed145e <+2078>:  lea    0x5b1b3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1465 <+2085>:  lea    0x364b4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed146c <+2092>:  mov    %rax,(%rsi)
   0x0000000007ed146f <+2095>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1474 <+2100>:  mov    0x5a7c5(%rip),%rsi        # 0x7f2bc40
   0x0000000007ed147b <+2107>:  lea    0x3f57e(%rip),%rax        # 0x7f10a00 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE6_clEvE15qstring_literal>
   0x0000000007ed1482 <+2114>:  lea    0x5b18f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1489 <+2121>:  lea    0x36490(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1490 <+2128>:  mov    %rax,(%rsi)
   0x0000000007ed1493 <+2131>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1498 <+2136>:  mov    0x5a669(%rip),%rsi        # 0x7f2bb08
   0x0000000007ed149f <+2143>:  lea    0x3f4fa(%rip),%rax        # 0x7f109a0 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE7_clEvE15qstring_literal>
   0x0000000007ed14a6 <+2150>:  lea    0x5b16b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed14ad <+2157>:  lea    0x3646c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed14b4 <+2164>:  mov    %rax,(%rsi)
   0x0000000007ed14b7 <+2167>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed14bc <+2172>:  mov    0x5a37d(%rip),%rsi        # 0x7f2b840
   0x0000000007ed14c3 <+2179>:  lea    0x3f476(%rip),%rax        # 0x7f10940 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE8_clEvE15qstring_literal>
   0x0000000007ed14ca <+2186>:  lea    0x5b147(%rip),%rdx        # 0x7f2c618
   0x0000000007ed14d1 <+2193>:  lea    0x36448(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed14d8 <+2200>:  mov    %rax,(%rsi)
   0x0000000007ed14db <+2203>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed14e0 <+2208>:  mov    0x5a379(%rip),%rsi        # 0x7f2b860
   0x0000000007ed14e7 <+2215>:  lea    0x3f3d2(%rip),%rax        # 0x7f108c0 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE9_clEvE15qstring_literal>
   0x0000000007ed14ee <+2222>:  lea    0x5b123(%rip),%rdx        # 0x7f2c618
   0x0000000007ed14f5 <+2229>:  lea    0x36424(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed14fc <+2236>:  mov    %rax,(%rsi)
   0x0000000007ed14ff <+2239>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1504 <+2244>:  mov    0x5a2bd(%rip),%rsi        # 0x7f2b7c8
   0x0000000007ed150b <+2251>:  lea    0x3f36e(%rip),%rax        # 0x7f10880 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE10_clEvE15qstring_literal>
   0x0000000007ed1512 <+2258>:  lea    0x5b0ff(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1519 <+2265>:  lea    0x36400(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1520 <+2272>:  mov    %rax,(%rsi)
   0x0000000007ed1523 <+2275>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1528 <+2280>:  mov    0x5aa51(%rip),%rsi        # 0x7f2bf80
   0x0000000007ed152f <+2287>:  lea    0x3f30a(%rip),%rax        # 0x7f10840 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE11_clEvE15qstring_literal>
   0x0000000007ed1536 <+2294>:  lea    0x5b0db(%rip),%rdx        # 0x7f2c618
   0x0000000007ed153d <+2301>:  lea    0x363dc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1544 <+2308>:  mov    %rax,(%rsi)
   0x0000000007ed1547 <+2311>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed154c <+2316>:  mov    0x5a18d(%rip),%rsi        # 0x7f2b6e0
   0x0000000007ed1553 <+2323>:  lea    0x3f2a6(%rip),%rax        # 0x7f10800 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE12_clEvE15qstring_literal>
   0x0000000007ed155a <+2330>:  lea    0x5b0b7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1561 <+2337>:  lea    0x363b8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1568 <+2344>:  mov    %rax,(%rsi)
   0x0000000007ed156b <+2347>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1570 <+2352>:  mov    0x5a789(%rip),%rsi        # 0x7f2bd00
   0x0000000007ed1577 <+2359>:  lea    0x3f242(%rip),%rax        # 0x7f107c0 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE13_clEvE15qstring_literal>
   0x0000000007ed157e <+2366>:  lea    0x5b093(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1585 <+2373>:  lea    0x36394(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed158c <+2380>:  mov    %rax,(%rsi)
   0x0000000007ed158f <+2383>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1594 <+2388>:  mov    0x5a25d(%rip),%rsi        # 0x7f2b7f8
   0x0000000007ed159b <+2395>:  lea    0x3f1de(%rip),%rax        # 0x7f10780 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE14_clEvE15qstring_literal>
   0x0000000007ed15a2 <+2402>:  lea    0x5b06f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed15a9 <+2409>:  lea    0x36370(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed15b0 <+2416>:  mov    %rax,(%rsi)
   0x0000000007ed15b3 <+2419>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed15b8 <+2424>:  mov    0x5a7c1(%rip),%rsi        # 0x7f2bd80
   0x0000000007ed15bf <+2431>:  lea    0x3f17a(%rip),%rax        # 0x7f10740 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE15_clEvE15qstring_literal>
   0x0000000007ed15c6 <+2438>:  lea    0x5b04b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed15cd <+2445>:  lea    0x3634c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed15d4 <+2452>:  mov    %rax,(%rsi)
   0x0000000007ed15d7 <+2455>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed15dc <+2460>:  mov    0x5a84d(%rip),%rsi        # 0x7f2be30
   0x0000000007ed15e3 <+2467>:  lea    0x3f116(%rip),%rax        # 0x7f10700 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE16_clEvE15qstring_literal>
   0x0000000007ed15ea <+2474>:  lea    0x5b027(%rip),%rdx        # 0x7f2c618
   0x0000000007ed15f1 <+2481>:  lea    0x36328(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed15f8 <+2488>:  mov    %rax,(%rsi)
   0x0000000007ed15fb <+2491>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1600 <+2496>:  mov    0x5a169(%rip),%rsi        # 0x7f2b770
   0x0000000007ed1607 <+2503>:  lea    0x3f0b2(%rip),%rax        # 0x7f106c0 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE17_clEvE15qstring_literal>
   0x0000000007ed160e <+2510>:  lea    0x5b003(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1615 <+2517>:  lea    0x36304(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed161c <+2524>:  mov    %rax,(%rsi)
   0x0000000007ed161f <+2527>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1624 <+2532>:  mov    0x5a44d(%rip),%rsi        # 0x7f2ba78
   0x0000000007ed162b <+2539>:  lea    0x3f04e(%rip),%rax        # 0x7f10680 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE18_clEvE15qstring_literal>
   0x0000000007ed1632 <+2546>:  lea    0x5afdf(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1639 <+2553>:  lea    0x362e0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1640 <+2560>:  mov    %rax,(%rsi)
   0x0000000007ed1643 <+2563>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1648 <+2568>:  mov    0x5a2f9(%rip),%rsi        # 0x7f2b948
   0x0000000007ed164f <+2575>:  lea    0x3efea(%rip),%rax        # 0x7f10640 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE19_clEvE15qstring_literal>
   0x0000000007ed1656 <+2582>:  lea    0x5afbb(%rip),%rdx        # 0x7f2c618
   0x0000000007ed165d <+2589>:  lea    0x362bc(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1664 <+2596>:  mov    %rax,(%rsi)
   0x0000000007ed1667 <+2599>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed166c <+2604>:  mov    0x5a11d(%rip),%rsi        # 0x7f2b790
   0x0000000007ed1673 <+2611>:  lea    0x3ef86(%rip),%rax        # 0x7f10600 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE20_clEvE15qstring_literal>
   0x0000000007ed167a <+2618>:  lea    0x5af97(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1681 <+2625>:  lea    0x36298(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1688 <+2632>:  mov    %rax,(%rsi)
   0x0000000007ed168b <+2635>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1690 <+2640>:  mov    0x5a059(%rip),%rsi        # 0x7f2b6f0
   0x0000000007ed1697 <+2647>:  lea    0x3ef22(%rip),%rax        # 0x7f105c0 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE21_clEvE15qstring_literal>
   0x0000000007ed169e <+2654>:  lea    0x5af73(%rip),%rdx        # 0x7f2c618
   0x0000000007ed16a5 <+2661>:  lea    0x36274(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed16ac <+2668>:  mov    %rax,(%rsi)
   0x0000000007ed16af <+2671>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed16b4 <+2676>:  mov    0x5a50d(%rip),%rsi        # 0x7f2bbc8
   0x0000000007ed16bb <+2683>:  lea    0x3eebe(%rip),%rax        # 0x7f10580 <_ZZNK6KGAPI25Drive6Drives12Capabilities6FieldsUlvE22_clEvE15qstring_literal>
   0x0000000007ed16c2 <+2690>:  lea    0x5af4f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed16c9 <+2697>:  lea    0x36250(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed16d0 <+2704>:  mov    %rax,(%rsi)
   0x0000000007ed16d3 <+2707>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed16d8 <+2712>:  mov    0x5a041(%rip),%rsi        # 0x7f2b720
   0x0000000007ed16df <+2719>:  lea    0x3ee7a(%rip),%rax        # 0x7f10560 <_ZZNK6KGAPI25Drive6Drives19BackgroundImageFile6FieldsUlvE23_clEvE15qstring_literal>
   0x0000000007ed16e6 <+2726>:  lea    0x5af2b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed16ed <+2733>:  lea    0x3622c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed16f4 <+2740>:  mov    %rax,(%rsi)
   0x0000000007ed16f7 <+2743>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed16fc <+2748>:  mov    0x5a0dd(%rip),%rsi        # 0x7f2b7e0
   0x0000000007ed1703 <+2755>:  lea    0x3ee16(%rip),%rax        # 0x7f10520 <_ZZNK6KGAPI25Drive6Drives19BackgroundImageFile6FieldsUlvE24_clEvE15qstring_literal>
   0x0000000007ed170a <+2762>:  lea    0x5af07(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1711 <+2769>:  lea    0x36208(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1718 <+2776>:  mov    %rax,(%rsi)
   0x0000000007ed171b <+2779>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1720 <+2784>:  mov    0x5a549(%rip),%rsi        # 0x7f2bc70
   0x0000000007ed1727 <+2791>:  lea    0x3edb2(%rip),%rax        # 0x7f104e0 <_ZZNK6KGAPI25Drive6Drives19BackgroundImageFile6FieldsUlvE25_clEvE15qstring_literal>
   0x0000000007ed172e <+2798>:  lea    0x5aee3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1735 <+2805>:  lea    0x361e4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed173c <+2812>:  mov    %rax,(%rsi)
   0x0000000007ed173f <+2815>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1744 <+2820>:  mov    0x5a795(%rip),%rsi        # 0x7f2bee0
   0x0000000007ed174b <+2827>:  lea    0x3ed4e(%rip),%rax        # 0x7f104a0 <_ZZNK6KGAPI25Drive6Drives19BackgroundImageFile6FieldsUlvE26_clEvE15qstring_literal>
   0x0000000007ed1752 <+2834>:  lea    0x5aebf(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1759 <+2841>:  lea    0x361c0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1760 <+2848>:  mov    %rax,(%rsi)
   0x0000000007ed1763 <+2851>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1768 <+2856>:  mov    0x5a1f1(%rip),%rsi        # 0x7f2b960
   0x0000000007ed176f <+2863>:  lea    0x3ecea(%rip),%rax        # 0x7f10460 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE27_clEvE15qstring_literal>
   0x0000000007ed1776 <+2870>:  lea    0x5ae9b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed177d <+2877>:  lea    0x3619c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1784 <+2884>:  mov    %rax,(%rsi)
   0x0000000007ed1787 <+2887>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed178c <+2892>:  mov    0x59f45(%rip),%rsi        # 0x7f2b6d8
   0x0000000007ed1793 <+2899>:  lea    0x3ec86(%rip),%rax        # 0x7f10420 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE28_clEvE15qstring_literal>
   0x0000000007ed179a <+2906>:  lea    0x5ae77(%rip),%rdx        # 0x7f2c618
   0x0000000007ed17a1 <+2913>:  lea    0x36178(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed17a8 <+2920>:  mov    %rax,(%rsi)
   0x0000000007ed17ab <+2923>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed17b0 <+2928>:  mov    0x5a5d9(%rip),%rsi        # 0x7f2bd90
   0x0000000007ed17b7 <+2935>:  lea    0x3ec22(%rip),%rax        # 0x7f103e0 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE29_clEvE15qstring_literal>
   0x0000000007ed17be <+2942>:  lea    0x5ae53(%rip),%rdx        # 0x7f2c618
   0x0000000007ed17c5 <+2949>:  lea    0x36154(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed17cc <+2956>:  mov    %rax,(%rsi)
   0x0000000007ed17cf <+2959>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed17d4 <+2964>:  mov    0x5a56d(%rip),%rsi        # 0x7f2bd48
   0x0000000007ed17db <+2971>:  lea    0x3ebbe(%rip),%rax        # 0x7f103a0 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE30_clEvE15qstring_literal>
   0x0000000007ed17e2 <+2978>:  lea    0x5ae2f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed17e9 <+2985>:  lea    0x36130(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed17f0 <+2992>:  mov    %rax,(%rsi)
   0x0000000007ed17f3 <+2995>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed17f8 <+3000>:  mov    0x59fd9(%rip),%rsi        # 0x7f2b7d8
   0x0000000007ed17ff <+3007>:  lea    0x3eb7a(%rip),%rax        # 0x7f10380 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE31_clEvE15qstring_literal>
   0x0000000007ed1806 <+3014>:  lea    0x5ae0b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed180d <+3021>:  lea    0x3610c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1814 <+3028>:  mov    %rax,(%rsi)
   0x0000000007ed1817 <+3031>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed181c <+3036>:  mov    0x5a0b5(%rip),%rsi        # 0x7f2b8d8
   0x0000000007ed1823 <+3043>:  lea    0x3eb16(%rip),%rax        # 0x7f10340 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE32_clEvE15qstring_literal>
   0x0000000007ed182a <+3050>:  lea    0x5ade7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1831 <+3057>:  lea    0x360e8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1838 <+3064>:  mov    %rax,(%rsi)
   0x0000000007ed183b <+3067>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1840 <+3072>:  mov    0x5a4d1(%rip),%rsi        # 0x7f2bd18
   0x0000000007ed1847 <+3079>:  lea    0x3eab2(%rip),%rax        # 0x7f10300 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE33_clEvE15qstring_literal>
   0x0000000007ed184e <+3086>:  lea    0x5adc3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1855 <+3093>:  lea    0x360c4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed185c <+3100>:  mov    %rax,(%rsi)
   0x0000000007ed185f <+3103>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1864 <+3108>:  mov    0x5a26d(%rip),%rsi        # 0x7f2bad8
   0x0000000007ed186b <+3115>:  lea    0x3ea4e(%rip),%rax        # 0x7f102c0 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE34_clEvE15qstring_literal>
   0x0000000007ed1872 <+3122>:  lea    0x5ad9f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1879 <+3129>:  lea    0x360a0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1880 <+3136>:  mov    %rax,(%rsi)
   0x0000000007ed1883 <+3139>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1888 <+3144>:  mov    0x59e99(%rip),%rsi        # 0x7f2b728
   0x0000000007ed188f <+3151>:  lea    0x3e9ea(%rip),%rax        # 0x7f10280 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE35_clEvE15qstring_literal>
   0x0000000007ed1896 <+3158>:  lea    0x5ad7b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed189d <+3165>:  lea    0x3607c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed18a4 <+3172>:  mov    %rax,(%rsi)
   0x0000000007ed18a7 <+3175>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed18ac <+3180>:  mov    0x5a2ed(%rip),%rsi        # 0x7f2bba0
   0x0000000007ed18b3 <+3187>:  lea    0x3e986(%rip),%rax        # 0x7f10240 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE36_clEvE15qstring_literal>
   0x0000000007ed18ba <+3194>:  lea    0x5ad57(%rip),%rdx        # 0x7f2c618
   0x0000000007ed18c1 <+3201>:  lea    0x36058(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed18c8 <+3208>:  mov    %rax,(%rsi)
   0x0000000007ed18cb <+3211>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed18d0 <+3216>:  mov    0x59ee1(%rip),%rsi        # 0x7f2b7b8
   0x0000000007ed18d7 <+3223>:  lea    0x3e922(%rip),%rax        # 0x7f10200 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE37_clEvE15qstring_literal>
   0x0000000007ed18de <+3230>:  lea    0x5ad33(%rip),%rdx        # 0x7f2c618
   0x0000000007ed18e5 <+3237>:  lea    0x36034(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed18ec <+3244>:  mov    %rax,(%rsi)
   0x0000000007ed18ef <+3247>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed18f4 <+3252>:  mov    0x59dfd(%rip),%rsi        # 0x7f2b6f8
   0x0000000007ed18fb <+3259>:  lea    0x3e8be(%rip),%rax        # 0x7f101c0 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE38_clEvE15qstring_literal>
   0x0000000007ed1902 <+3266>:  lea    0x5ad0f(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1909 <+3273>:  lea    0x36010(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1910 <+3280>:  mov    %rax,(%rsi)
   0x0000000007ed1913 <+3283>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1918 <+3288>:  mov    0x5a229(%rip),%rsi        # 0x7f2bb48
   0x0000000007ed191f <+3295>:  lea    0x3e85a(%rip),%rax        # 0x7f10180 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE39_clEvE15qstring_literal>
   0x0000000007ed1926 <+3302>:  lea    0x5aceb(%rip),%rdx        # 0x7f2c618
   0x0000000007ed192d <+3309>:  lea    0x35fec(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1934 <+3316>:  mov    %rax,(%rsi)
   0x0000000007ed1937 <+3319>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed193c <+3324>:  mov    0x5a575(%rip),%rsi        # 0x7f2beb8
   0x0000000007ed1943 <+3331>:  lea    0x3e7f6(%rip),%rax        # 0x7f10140 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE40_clEvE15qstring_literal>
   0x0000000007ed194a <+3338>:  lea    0x5acc7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1951 <+3345>:  lea    0x35fc8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1958 <+3352>:  mov    %rax,(%rsi)
   0x0000000007ed195b <+3355>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1960 <+3360>:  mov    0x59f19(%rip),%rsi        # 0x7f2b880
   0x0000000007ed1967 <+3367>:  lea    0x3e792(%rip),%rax        # 0x7f10100 <_ZZNK6KGAPI25Drive6Drives6FieldsUlvE41_clEvE15qstring_literal>
   0x0000000007ed196e <+3374>:  lea    0x5aca3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1975 <+3381>:  lea    0x35fa4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed197c <+3388>:  mov    %rax,(%rsi)
   0x0000000007ed197f <+3391>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1984 <+3396>:  mov    0x5a1f5(%rip),%rax        # 0x7f2bb80
   0x0000000007ed198b <+3403>:  mov    (%rax),%rdi
   0x0000000007ed198e <+3406>:  mov    %rdi,0x10(%rsp)
   0x0000000007ed1993 <+3411>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
=> 0x0000000007ed1998 <+3416>:  mov    0x5a179(%rip),%rax        # 0x7f2bb18
   0x0000000007ed199f <+3423>:  mov    (%rax),%rdi
   0x0000000007ed19a2 <+3426>:  mov    %rdi,0x18(%rsp)
   0x0000000007ed19a7 <+3431>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed19ac <+3436>:  mov    0x5a13d(%rip),%rax        # 0x7f2baf0
   0x0000000007ed19b3 <+3443>:  mov    (%rax),%rdi
   0x0000000007ed19b6 <+3446>:  mov    %rdi,0x20(%rsp)
   0x0000000007ed19bb <+3451>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed19c0 <+3456>:  mov    0x59de1(%rip),%r13        # 0x7f2b7a8
   0x0000000007ed19c7 <+3463>:  mov    0x0(%r13),%rdi
   0x0000000007ed19cb <+3467>:  mov    %rdi,0x28(%rsp)
   0x0000000007ed19d0 <+3472>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed19d5 <+3477>:  mov    0x5a394(%rip),%r12        # 0x7f2bd70
   0x0000000007ed19dc <+3484>:  mov    (%r12),%rdi
   0x0000000007ed19e0 <+3488>:  mov    %rdi,0x30(%rsp)
   0x0000000007ed19e5 <+3493>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed19ea <+3498>:  mov    0x5a547(%rip),%rax        # 0x7f2bf38
   0x0000000007ed19f1 <+3505>:  mov    (%rax),%rdi
   0x0000000007ed19f4 <+3508>:  mov    %rdi,0x38(%rsp)
   0x0000000007ed19f9 <+3513>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed19fe <+3518>:  mov    0x5a353(%rip),%rax        # 0x7f2bd58
   0x0000000007ed1a05 <+3525>:  mov    (%rax),%rdi
   0x0000000007ed1a08 <+3528>:  mov    %rdi,0x40(%rsp)
   0x0000000007ed1a0d <+3533>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1a12 <+3538>:  mov    0x59f17(%rip),%rax        # 0x7f2b930
   0x0000000007ed1a19 <+3545>:  mov    (%rax),%rdi
   0x0000000007ed1a1c <+3548>:  mov    %rdi,0x48(%rsp)
   0x0000000007ed1a21 <+3553>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1a26 <+3558>:  mov    0x59fc3(%rip),%r14        # 0x7f2b9f0
   0x0000000007ed1a2d <+3565>:  mov    %rbp,%rsi
   0x0000000007ed1a30 <+3568>:  mov    $0x8,%edx
   0x0000000007ed1a35 <+3573>:  mov    %r14,%rdi
   0x0000000007ed1a38 <+3576>:  callq  0x7ed2ab0 <QList<QString>::QList(std::initializer_list<QString>)>
   0x0000000007ed1a3d <+3581>:  nopl   (%rax)
   0x0000000007ed1a40 <+3584>:  sub    $0x8,%rbx
   0x0000000007ed1a44 <+3588>:  mov    %rbx,%rdi
   0x0000000007ed1a47 <+3591>:  callq  0x7f07920 <QString::~QString()>
   0x0000000007ed1a4c <+3596>:  cmp    %rbp,%rbx
   0x0000000007ed1a4f <+3599>:  jne    0x7ed1a40 <_GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186+3584>
   0x0000000007ed1a51 <+3601>:  mov    %r14,%rsi
   0x0000000007ed1a54 <+3604>:  lea    0x5abbd(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1a5b <+3611>:  lea    0x40(%rsp),%rbx
   0x0000000007ed1a60 <+3616>:  lea    0x16589(%rip),%rdi        # 0x7ee7ff0 <QStringList::~QStringList()>
   0x0000000007ed1a67 <+3623>:  mov    %rbx,%r15
   0x0000000007ed1a6a <+3626>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1a6f <+3631>:  mov    0x0(%r13),%rdi
   0x0000000007ed1a73 <+3635>:  mov    %rdi,0x10(%rsp)
   0x0000000007ed1a78 <+3640>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1a7d <+3645>:  mov    (%r12),%rdi
   0x0000000007ed1a81 <+3649>:  mov    %rdi,0x18(%rsp)
   0x0000000007ed1a86 <+3654>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1a8b <+3659>:  mov    0x5a0be(%rip),%rax        # 0x7f2bb50
   0x0000000007ed1a92 <+3666>:  mov    (%rax),%rdi
   0x0000000007ed1a95 <+3669>:  mov    %rdi,0x20(%rsp)
   0x0000000007ed1a9a <+3674>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1a9f <+3679>:  mov    0x5a34a(%rip),%rax        # 0x7f2bdf0
   0x0000000007ed1aa6 <+3686>:  mov    (%rax),%rdi
   0x0000000007ed1aa9 <+3689>:  mov    %rdi,0x28(%rsp)
   0x0000000007ed1aae <+3694>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1ab3 <+3699>:  mov    0x5a156(%rip),%rax        # 0x7f2bc10
   0x0000000007ed1aba <+3706>:  mov    (%rax),%rdi
   0x0000000007ed1abd <+3709>:  mov    %rdi,0x30(%rsp)
   0x0000000007ed1ac2 <+3714>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1ac7 <+3719>:  mov    0x5a2ca(%rip),%rax        # 0x7f2bd98
   0x0000000007ed1ace <+3726>:  mov    (%rax),%rdi
   0x0000000007ed1ad1 <+3729>:  mov    %rdi,0x38(%rsp)
   0x0000000007ed1ad6 <+3734>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1adb <+3739>:  mov    0x59c1e(%rip),%r14        # 0x7f2b700
   0x0000000007ed1ae2 <+3746>:  mov    %rbp,%rsi
   0x0000000007ed1ae5 <+3749>:  mov    $0x6,%edx
   0x0000000007ed1aea <+3754>:  mov    %r14,%rdi
   0x0000000007ed1aed <+3757>:  callq  0x7ed2ab0 <QList<QString>::QList(std::initializer_list<QString>)>
   0x0000000007ed1af2 <+3762>:  nopw   0x0(%rax,%rax,1)
   0x0000000007ed1af8 <+3768>:  sub    $0x8,%r15
   0x0000000007ed1afc <+3772>:  mov    %r15,%rdi
   0x0000000007ed1aff <+3775>:  callq  0x7f07920 <QString::~QString()>
   0x0000000007ed1b04 <+3780>:  cmp    %rbp,%r15
   0x0000000007ed1b07 <+3783>:  jne    0x7ed1af8 <_GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186+3768>
   0x0000000007ed1b09 <+3785>:  mov    %r14,%rsi
   0x0000000007ed1b0c <+3788>:  lea    0x5ab05(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1b13 <+3795>:  lea    0x164d6(%rip),%rdi        # 0x7ee7ff0 <QStringList::~QStringList()>
   0x0000000007ed1b1a <+3802>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1b1f <+3807>:  mov    0x5a09a(%rip),%rax        # 0x7f2bbc0
   0x0000000007ed1b26 <+3814>:  mov    (%rax),%rdi
   0x0000000007ed1b29 <+3817>:  mov    %rdi,0x10(%rsp)
   0x0000000007ed1b2e <+3822>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b33 <+3827>:  mov    0x59dee(%rip),%rax        # 0x7f2b928
   0x0000000007ed1b3a <+3834>:  mov    (%rax),%rdi
   0x0000000007ed1b3d <+3837>:  mov    %rdi,0x18(%rsp)
   0x0000000007ed1b42 <+3842>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b47 <+3847>:  mov    0x59d62(%rip),%rax        # 0x7f2b8b0
   0x0000000007ed1b4e <+3854>:  mov    (%rax),%rdi
   0x0000000007ed1b51 <+3857>:  mov    %rdi,0x20(%rsp)
   0x0000000007ed1b56 <+3862>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b5b <+3867>:  mov    0x59bee(%rip),%rax        # 0x7f2b750
   0x0000000007ed1b62 <+3874>:  mov    (%rax),%rdi
   0x0000000007ed1b65 <+3877>:  mov    %rdi,0x28(%rsp)
   0x0000000007ed1b6a <+3882>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b6f <+3887>:  mov    0x5a412(%rip),%r15        # 0x7f2bf88
   0x0000000007ed1b76 <+3894>:  mov    (%r15),%rdi
   0x0000000007ed1b79 <+3897>:  mov    %rdi,0x30(%rsp)
   0x0000000007ed1b7e <+3902>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b83 <+3907>:  mov    0x5a216(%rip),%r14        # 0x7f2bda0
   0x0000000007ed1b8a <+3914>:  mov    (%r14),%rdi
   0x0000000007ed1b8d <+3917>:  mov    %rdi,0x38(%rsp)
   0x0000000007ed1b92 <+3922>:  callq  0x7f08890 <QtPrivate::RefCount::ref()>
   0x0000000007ed1b97 <+3927>:  mov    0x5a42a(%rip),%rdi        # 0x7f2bfc8
   0x0000000007ed1b9e <+3934>:  mov    %rbp,%rsi
   0x0000000007ed1ba1 <+3937>:  mov    $0x6,%edx
   0x0000000007ed1ba6 <+3942>:  callq  0x7ed2ab0 <QList<QString>::QList(std::initializer_list<QString>)>
   0x0000000007ed1bab <+3947>:  nopl   0x0(%rax,%rax,1)
   0x0000000007ed1bb0 <+3952>:  sub    $0x8,%rbx
   0x0000000007ed1bb4 <+3956>:  mov    %rbx,%rdi
   0x0000000007ed1bb7 <+3959>:  callq  0x7f07920 <QString::~QString()>
   0x0000000007ed1bbc <+3964>:  cmp    %rbp,%rbx
   0x0000000007ed1bbf <+3967>:  jne    0x7ed1bb0 <_GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186+3952>
   0x0000000007ed1bc1 <+3969>:  mov    0x5a400(%rip),%rsi        # 0x7f2bfc8
   0x0000000007ed1bc8 <+3976>:  lea    0x5aa49(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1bcf <+3983>:  lea    0x1641a(%rip),%rdi        # 0x7ee7ff0 <QStringList::~QStringList()>
   0x0000000007ed1bd6 <+3990>:  lea    0x3f3c3(%rip),%rbx        # 0x7f10fa0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE37_clEvE15qstring_literal>
   0x0000000007ed1bdd <+3997>:  lea    0x8(%rsp),%rbp
   0x0000000007ed1be2 <+4002>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1be7 <+4007>:  mov    0x5a07a(%rip),%rsi        # 0x7f2bc68
   0x0000000007ed1bee <+4014>:  lea    0x3fd2b(%rip),%rax        # 0x7f11920 <_ZZNK6KGAPI25Drive4File6FieldsUlvE_clEvE15qstring_literal>
   0x0000000007ed1bf5 <+4021>:  lea    0x5aa1c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1bfc <+4028>:  lea    0x35d1d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1c03 <+4035>:  mov    %rax,(%rsi)
   0x0000000007ed1c06 <+4038>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1c0b <+4043>:  mov    0x59e6e(%rip),%rsi        # 0x7f2ba80
   0x0000000007ed1c12 <+4050>:  lea    0x3fcc7(%rip),%rax        # 0x7f118e0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE0_clEvE15qstring_literal>
   0x0000000007ed1c19 <+4057>:  lea    0x5a9f8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1c20 <+4064>:  lea    0x35cf9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1c27 <+4071>:  mov    %rax,(%rsi)
   0x0000000007ed1c2a <+4074>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1c2f <+4079>:  mov    0x5a342(%rip),%rsi        # 0x7f2bf78
   0x0000000007ed1c36 <+4086>:  lea    0x3fc63(%rip),%rax        # 0x7f118a0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE1_clEvE15qstring_literal>
   0x0000000007ed1c3d <+4093>:  lea    0x5a9d4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1c44 <+4100>:  lea    0x35cd5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1c4b <+4107>:  mov    %rax,(%rsi)
   0x0000000007ed1c4e <+4110>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1c53 <+4115>:  mov    0x5a236(%rip),%rsi        # 0x7f2be90
   0x0000000007ed1c5a <+4122>:  lea    0x3fbff(%rip),%rax        # 0x7f11860 <_ZZNK6KGAPI25Drive4File6FieldsUlvE2_clEvE15qstring_literal>
   0x0000000007ed1c61 <+4129>:  lea    0x5a9b0(%rip),%rdx        # 0x7f2c618
Comment 14 Hans-Peter Jansen 2019-08-27 20:56:41 UTC
Second part:

   0x0000000007ed1c68 <+4136>:  lea    0x35cb1(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1c6f <+4143>:  mov    %rax,(%rsi)
   0x0000000007ed1c72 <+4146>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1c77 <+4151>:  mov    0x5a31a(%rip),%rsi        # 0x7f2bf98
   0x0000000007ed1c7e <+4158>:  lea    0x3fb9b(%rip),%rax        # 0x7f11820 <_ZZNK6KGAPI25Drive4File6FieldsUlvE3_clEvE15qstring_literal>
   0x0000000007ed1c85 <+4165>:  lea    0x5a98c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1c8c <+4172>:  lea    0x35c8d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1c93 <+4179>:  mov    %rax,(%rsi)
   0x0000000007ed1c96 <+4182>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1c9b <+4187>:  mov    0x5a0e6(%rip),%rsi        # 0x7f2bd88
   0x0000000007ed1ca2 <+4194>:  lea    0x3fb37(%rip),%rax        # 0x7f117e0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE4_clEvE15qstring_literal>
   0x0000000007ed1ca9 <+4201>:  lea    0x5a968(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1cb0 <+4208>:  lea    0x35c69(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1cb7 <+4215>:  mov    %rax,(%rsi)
   0x0000000007ed1cba <+4218>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1cbf <+4223>:  mov    0x59eba(%rip),%rax        # 0x7f2bb80
   0x0000000007ed1cc6 <+4230>:  lea    0x3faf3(%rip),%rcx        # 0x7f117c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE5_clEvE15qstring_literal>
   0x0000000007ed1ccd <+4237>:  lea    0x5a944(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1cd4 <+4244>:  lea    0x35c45(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1cdb <+4251>:  mov    %rcx,(%rax)
   0x0000000007ed1cde <+4254>:  mov    %rax,%rsi
   0x0000000007ed1ce1 <+4257>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1ce6 <+4262>:  mov    0x59e2b(%rip),%rax        # 0x7f2bb18
   0x0000000007ed1ced <+4269>:  lea    0x3fa8c(%rip),%rcx        # 0x7f11780 <_ZZNK6KGAPI25Drive4File6FieldsUlvE6_clEvE15qstring_literal>
   0x0000000007ed1cf4 <+4276>:  lea    0x5a91d(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1cfb <+4283>:  lea    0x35c1e(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1d02 <+4290>:  mov    %rcx,(%rax)
   0x0000000007ed1d05 <+4293>:  mov    %rax,%rsi
   0x0000000007ed1d08 <+4296>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1d0d <+4301>:  mov    0x59ddc(%rip),%rax        # 0x7f2baf0
   0x0000000007ed1d14 <+4308>:  lea    0x3fa25(%rip),%rcx        # 0x7f11740 <_ZZNK6KGAPI25Drive4File6FieldsUlvE7_clEvE15qstring_literal>
   0x0000000007ed1d1b <+4315>:  lea    0x5a8f6(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1d22 <+4322>:  lea    0x35bf7(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1d29 <+4329>:  mov    %rcx,(%rax)
   0x0000000007ed1d2c <+4332>:  mov    %rax,%rsi
   0x0000000007ed1d2f <+4335>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1d34 <+4340>:  mov    0x59c85(%rip),%rsi        # 0x7f2b9c0
   0x0000000007ed1d3b <+4347>:  lea    0x3f9be(%rip),%rax        # 0x7f11700 <_ZZNK6KGAPI25Drive4File6FieldsUlvE8_clEvE15qstring_literal>
   0x0000000007ed1d42 <+4354>:  lea    0x5a8cf(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1d49 <+4361>:  lea    0x35bd0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1d50 <+4368>:  mov    %rax,(%rsi)
   0x0000000007ed1d53 <+4371>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1d58 <+4376>:  mov    0x59c19(%rip),%rsi        # 0x7f2b978
   0x0000000007ed1d5f <+4383>:  lea    0x3f95a(%rip),%rax        # 0x7f116c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE9_clEvE15qstring_literal>
   0x0000000007ed1d66 <+4390>:  lea    0x5a8ab(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1d6d <+4397>:  lea    0x35bac(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1d74 <+4404>:  mov    %rax,(%rsi)
   0x0000000007ed1d77 <+4407>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1d7c <+4412>:  lea    0x3f8fd(%rip),%rax        # 0x7f11680 <_ZZNK6KGAPI25Drive4File6FieldsUlvE10_clEvE15qstring_literal>
   0x0000000007ed1d83 <+4419>:  mov    %r13,%rsi
   0x0000000007ed1d86 <+4422>:  lea    0x5a88b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1d8d <+4429>:  mov    %rax,0x0(%r13)
   0x0000000007ed1d91 <+4433>:  lea    0x35b88(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1d98 <+4440>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1d9d <+4445>:  lea    0x3f89c(%rip),%rax        # 0x7f11640 <_ZZNK6KGAPI25Drive4File6FieldsUlvE11_clEvE15qstring_literal>
   0x0000000007ed1da4 <+4452>:  mov    %r12,%rsi
   0x0000000007ed1da7 <+4455>:  lea    0x5a86a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1dae <+4462>:  mov    %rax,(%r12)
   0x0000000007ed1db2 <+4466>:  lea    0x35b67(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1db9 <+4473>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1dbe <+4478>:  mov    0x59d8b(%rip),%rax        # 0x7f2bb50
   0x0000000007ed1dc5 <+4485>:  lea    0x3f834(%rip),%rcx        # 0x7f11600 <_ZZNK6KGAPI25Drive4File6FieldsUlvE12_clEvE15qstring_literal>
   0x0000000007ed1dcc <+4492>:  lea    0x5a845(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1dd3 <+4499>:  lea    0x35b46(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1dda <+4506>:  mov    %rcx,(%rax)
   0x0000000007ed1ddd <+4509>:  mov    %rax,%rsi
   0x0000000007ed1de0 <+4512>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1de5 <+4517>:  mov    0x59f6c(%rip),%rax        # 0x7f2bd58
   0x0000000007ed1dec <+4524>:  lea    0x3f7cd(%rip),%rcx        # 0x7f115c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE13_clEvE15qstring_literal>
   0x0000000007ed1df3 <+4531>:  lea    0x5a81e(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1dfa <+4538>:  lea    0x35b1f(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1e01 <+4545>:  mov    %rcx,(%rax)
   0x0000000007ed1e04 <+4548>:  mov    %rax,%rsi
   0x0000000007ed1e07 <+4551>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1e0c <+4556>:  mov    0x59d15(%rip),%rsi        # 0x7f2bb28
   0x0000000007ed1e13 <+4563>:  lea    0x3f766(%rip),%rax        # 0x7f11580 <_ZZNK6KGAPI25Drive4File6FieldsUlvE14_clEvE15qstring_literal>
   0x0000000007ed1e1a <+4570>:  lea    0x5a7f7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1e21 <+4577>:  lea    0x35af8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1e28 <+4584>:  mov    %rax,(%rsi)
   0x0000000007ed1e2b <+4587>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1e30 <+4592>:  mov    0x59d61(%rip),%rsi        # 0x7f2bb98
   0x0000000007ed1e37 <+4599>:  lea    0x3f702(%rip),%rax        # 0x7f11540 <_ZZNK6KGAPI25Drive4File6FieldsUlvE15_clEvE15qstring_literal>
   0x0000000007ed1e3e <+4606>:  lea    0x5a7d3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1e45 <+4613>:  lea    0x35ad4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1e4c <+4620>:  mov    %rax,(%rsi)
   0x0000000007ed1e4f <+4623>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1e54 <+4628>:  mov    0x59ed5(%rip),%rsi        # 0x7f2bd30
   0x0000000007ed1e5b <+4635>:  lea    0x3f69e(%rip),%rax        # 0x7f11500 <_ZZNK6KGAPI25Drive4File6FieldsUlvE16_clEvE15qstring_literal>
   0x0000000007ed1e62 <+4642>:  lea    0x5a7af(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1e69 <+4649>:  lea    0x35ab0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1e70 <+4656>:  mov    %rax,(%rsi)
   0x0000000007ed1e73 <+4659>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1e78 <+4664>:  mov    0x59851(%rip),%rsi        # 0x7f2b6d0
   0x0000000007ed1e7f <+4671>:  lea    0x3f63a(%rip),%rax        # 0x7f114c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE17_clEvE15qstring_literal>
   0x0000000007ed1e86 <+4678>:  lea    0x5a78b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1e8d <+4685>:  lea    0x35a8c(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1e94 <+4692>:  mov    %rax,(%rsi)
   0x0000000007ed1e97 <+4695>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1e9c <+4700>:  mov    0x5a095(%rip),%rax        # 0x7f2bf38
   0x0000000007ed1ea3 <+4707>:  lea    0x3f5d6(%rip),%rcx        # 0x7f11480 <_ZZNK6KGAPI25Drive4File6FieldsUlvE18_clEvE15qstring_literal>
   0x0000000007ed1eaa <+4714>:  lea    0x5a767(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1eb1 <+4721>:  lea    0x35a68(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1eb8 <+4728>:  mov    %rcx,(%rax)
   0x0000000007ed1ebb <+4731>:  mov    %rax,%rsi
   0x0000000007ed1ebe <+4734>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1ec3 <+4739>:  mov    0x59d2e(%rip),%rsi        # 0x7f2bbf8
   0x0000000007ed1eca <+4746>:  lea    0x3f56f(%rip),%rax        # 0x7f11440 <_ZZNK6KGAPI25Drive4File6FieldsUlvE19_clEvE15qstring_literal>
   0x0000000007ed1ed1 <+4753>:  lea    0x5a740(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1ed8 <+4760>:  lea    0x35a41(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1edf <+4767>:  mov    %rax,(%rsi)
   0x0000000007ed1ee2 <+4770>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1ee7 <+4775>:  mov    0x59d72(%rip),%rsi        # 0x7f2bc60
   0x0000000007ed1eee <+4782>:  lea    0x3f50b(%rip),%rax        # 0x7f11400 <_ZZNK6KGAPI25Drive4File6FieldsUlvE20_clEvE15qstring_literal>
   0x0000000007ed1ef5 <+4789>:  lea    0x5a71c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1efc <+4796>:  lea    0x35a1d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1f03 <+4803>:  mov    %rax,(%rsi)
   0x0000000007ed1f06 <+4806>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1f0b <+4811>:  mov    0x59cae(%rip),%rax        # 0x7f2bbc0
   0x0000000007ed1f12 <+4818>:  lea    0x3f4a7(%rip),%rcx        # 0x7f113c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE21_clEvE15qstring_literal>
   0x0000000007ed1f19 <+4825>:  lea    0x5a6f8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1f20 <+4832>:  lea    0x359f9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1f27 <+4839>:  mov    %rcx,(%rax)
   0x0000000007ed1f2a <+4842>:  mov    %rax,%rsi
   0x0000000007ed1f2d <+4845>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1f32 <+4850>:  mov    0x598f7(%rip),%rsi        # 0x7f2b830
   0x0000000007ed1f39 <+4857>:  lea    0x3f440(%rip),%rax        # 0x7f11380 <_ZZNK6KGAPI25Drive4File6FieldsUlvE22_clEvE15qstring_literal>
   0x0000000007ed1f40 <+4864>:  lea    0x5a6d1(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1f47 <+4871>:  lea    0x359d2(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1f4e <+4878>:  mov    %rax,(%rsi)
   0x0000000007ed1f51 <+4881>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1f56 <+4886>:  mov    0x5a043(%rip),%rsi        # 0x7f2bfa0
   0x0000000007ed1f5d <+4893>:  lea    0x3f3dc(%rip),%rax        # 0x7f11340 <_ZZNK6KGAPI25Drive4File6FieldsUlvE23_clEvE15qstring_literal>
   0x0000000007ed1f64 <+4900>:  lea    0x5a6ad(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1f6b <+4907>:  lea    0x359ae(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1f72 <+4914>:  mov    %rax,(%rsi)
   0x0000000007ed1f75 <+4917>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1f7a <+4922>:  mov    0x59797(%rip),%rsi        # 0x7f2b718
   0x0000000007ed1f81 <+4929>:  lea    0x3f378(%rip),%rax        # 0x7f11300 <_ZZNK6KGAPI25Drive4File6FieldsUlvE24_clEvE15qstring_literal>
   0x0000000007ed1f88 <+4936>:  lea    0x5a689(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1f8f <+4943>:  lea    0x3598a(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1f96 <+4950>:  mov    %rax,(%rsi)
   0x0000000007ed1f99 <+4953>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1f9e <+4958>:  lea    0x3f31b(%rip),%rax        # 0x7f112c0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE25_clEvE15qstring_literal>
   0x0000000007ed1fa5 <+4965>:  mov    %r14,%rsi
   0x0000000007ed1fa8 <+4968>:  lea    0x5a669(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1faf <+4975>:  mov    %rax,(%r14)
   0x0000000007ed1fb2 <+4978>:  lea    0x35967(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1fb9 <+4985>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1fbe <+4990>:  mov    0x59e2b(%rip),%rax        # 0x7f2bdf0
   0x0000000007ed1fc5 <+4997>:  lea    0x3f294(%rip),%rcx        # 0x7f11260 <_ZZNK6KGAPI25Drive4File6FieldsUlvE26_clEvE15qstring_literal>
   0x0000000007ed1fcc <+5004>:  lea    0x5a645(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1fd3 <+5011>:  lea    0x35946(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed1fda <+5018>:  mov    %rcx,(%rax)
   0x0000000007ed1fdd <+5021>:  mov    %rax,%rsi
   0x0000000007ed1fe0 <+5024>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed1fe5 <+5029>:  mov    0x59a6c(%rip),%rsi        # 0x7f2ba58
   0x0000000007ed1fec <+5036>:  lea    0x3f22d(%rip),%rax        # 0x7f11220 <_ZZNK6KGAPI25Drive4File6FieldsUlvE27_clEvE15qstring_literal>
   0x0000000007ed1ff3 <+5043>:  lea    0x5a61e(%rip),%rdx        # 0x7f2c618
   0x0000000007ed1ffa <+5050>:  lea    0x3591f(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2001 <+5057>:  mov    %rax,(%rsi)
   0x0000000007ed2004 <+5060>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2009 <+5065>:  mov    0x59918(%rip),%rax        # 0x7f2b928
   0x0000000007ed2010 <+5072>:  lea    0x3f1c9(%rip),%rcx        # 0x7f111e0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE28_clEvE15qstring_literal>
   0x0000000007ed2017 <+5079>:  lea    0x5a5fa(%rip),%rdx        # 0x7f2c618
   0x0000000007ed201e <+5086>:  lea    0x358fb(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2025 <+5093>:  mov    %rcx,(%rax)
   0x0000000007ed2028 <+5096>:  mov    %rax,%rsi
   0x0000000007ed202b <+5099>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2030 <+5104>:  mov    0x59c21(%rip),%rsi        # 0x7f2bc58
   0x0000000007ed2037 <+5111>:  lea    0x3f162(%rip),%rax        # 0x7f111a0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE29_clEvE15qstring_literal>
   0x0000000007ed203e <+5118>:  lea    0x5a5d3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2045 <+5125>:  lea    0x358d4(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed204c <+5132>:  mov    %rax,(%rsi)
   0x0000000007ed204f <+5135>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2054 <+5140>:  mov    0x59bb5(%rip),%rax        # 0x7f2bc10
   0x0000000007ed205b <+5147>:  lea    0x3f0fe(%rip),%rcx        # 0x7f11160 <_ZZNK6KGAPI25Drive4File6FieldsUlvE30_clEvE15qstring_literal>
   0x0000000007ed2062 <+5154>:  lea    0x5a5af(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2069 <+5161>:  lea    0x358b0(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2070 <+5168>:  mov    %rcx,(%rax)
   0x0000000007ed2073 <+5171>:  mov    %rax,%rsi
   0x0000000007ed2076 <+5174>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed207b <+5179>:  mov    0x59716(%rip),%rsi        # 0x7f2b798
   0x0000000007ed2082 <+5186>:  lea    0x3f097(%rip),%rax        # 0x7f11120 <_ZZNK6KGAPI25Drive4File6FieldsUlvE31_clEvE15qstring_literal>
   0x0000000007ed2089 <+5193>:  lea    0x5a588(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2090 <+5200>:  lea    0x35889(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2097 <+5207>:  mov    %rax,(%rsi)
   0x0000000007ed209a <+5210>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed209f <+5215>:  mov    0x59b72(%rip),%rsi        # 0x7f2bc18
   0x0000000007ed20a6 <+5222>:  lea    0x3f033(%rip),%rax        # 0x7f110e0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE32_clEvE15qstring_literal>
   0x0000000007ed20ad <+5229>:  lea    0x5a564(%rip),%rdx        # 0x7f2c618
   0x0000000007ed20b4 <+5236>:  lea    0x35865(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed20bb <+5243>:  mov    %rax,(%rsi)
   0x0000000007ed20be <+5246>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed20c3 <+5251>:  mov    0x59b7e(%rip),%rsi        # 0x7f2bc48
   0x0000000007ed20ca <+5258>:  lea    0x3efcf(%rip),%rax        # 0x7f110a0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE33_clEvE15qstring_literal>
   0x0000000007ed20d1 <+5265>:  lea    0x5a540(%rip),%rdx        # 0x7f2c618
   0x0000000007ed20d8 <+5272>:  lea    0x35841(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed20df <+5279>:  mov    %rax,(%rsi)
   0x0000000007ed20e2 <+5282>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed20e7 <+5287>:  mov    0x59dba(%rip),%rsi        # 0x7f2bea8
   0x0000000007ed20ee <+5294>:  lea    0x3ef6b(%rip),%rax        # 0x7f11060 <_ZZNK6KGAPI25Drive4File6FieldsUlvE34_clEvE15qstring_literal>
   0x0000000007ed20f5 <+5301>:  lea    0x5a51c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed20fc <+5308>:  lea    0x3581d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2103 <+5315>:  mov    %rax,(%rsi)
   0x0000000007ed2106 <+5318>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed210b <+5323>:  mov    0x59626(%rip),%rsi        # 0x7f2b738
   0x0000000007ed2112 <+5330>:  lea    0x3ef07(%rip),%rax        # 0x7f11020 <_ZZNK6KGAPI25Drive4File6FieldsUlvE35_clEvE15qstring_literal>
   0x0000000007ed2119 <+5337>:  lea    0x5a4f8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2120 <+5344>:  lea    0x357f9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2127 <+5351>:  mov    %rax,(%rsi)
   0x0000000007ed212a <+5354>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed212f <+5359>:  mov    0x59b92(%rip),%rsi        # 0x7f2bcc8
   0x0000000007ed2136 <+5366>:  lea    0x3eea3(%rip),%rax        # 0x7f10fe0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE36_clEvE15qstring_literal>
   0x0000000007ed213d <+5373>:  lea    0x5a4d4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2144 <+5380>:  lea    0x357d5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed214b <+5387>:  mov    %rax,(%rsi)
   0x0000000007ed214e <+5390>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2153 <+5395>:  mov    0x59756(%rip),%rax        # 0x7f2b8b0
   0x0000000007ed215a <+5402>:  lea    0x5a4b7(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2161 <+5409>:  lea    0x357b8(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2168 <+5416>:  mov    %rbx,(%rax)
   0x0000000007ed216b <+5419>:  mov    %rax,%rsi
   0x0000000007ed216e <+5422>:  lea    0x3ebcb(%rip),%rbx        # 0x7f10d40 <_ZZNK6KGAPI25Drive4File6FieldsUlvE46_clEvE15qstring_literal>
   0x0000000007ed2175 <+5429>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed217a <+5434>:  mov    0x595cf(%rip),%rax        # 0x7f2b750
   0x0000000007ed2181 <+5441>:  lea    0x3edd8(%rip),%rcx        # 0x7f10f60 <_ZZNK6KGAPI25Drive4File6FieldsUlvE38_clEvE15qstring_literal>
   0x0000000007ed2188 <+5448>:  lea    0x5a489(%rip),%rdx        # 0x7f2c618
   0x0000000007ed218f <+5455>:  lea    0x3578a(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2196 <+5462>:  mov    %rcx,(%rax)
   0x0000000007ed2199 <+5465>:  mov    %rax,%rsi
   0x0000000007ed219c <+5468>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed21a1 <+5473>:  mov    0x598f0(%rip),%rsi        # 0x7f2ba98
   0x0000000007ed21a8 <+5480>:  lea    0x3ed71(%rip),%rax        # 0x7f10f20 <_ZZNK6KGAPI25Drive4File6FieldsUlvE39_clEvE15qstring_literal>
   0x0000000007ed21af <+5487>:  lea    0x5a462(%rip),%rdx        # 0x7f2c618
   0x0000000007ed21b6 <+5494>:  lea    0x35763(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed21bd <+5501>:  mov    %rax,(%rsi)
   0x0000000007ed21c0 <+5504>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed21c5 <+5509>:  mov    0x59b54(%rip),%rsi        # 0x7f2bd20
   0x0000000007ed21cc <+5516>:  lea    0x3ed0d(%rip),%rax        # 0x7f10ee0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE40_clEvE15qstring_literal>
   0x0000000007ed21d3 <+5523>:  lea    0x5a43e(%rip),%rdx        # 0x7f2c618
   0x0000000007ed21da <+5530>:  lea    0x3573f(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed21e1 <+5537>:  mov    %rax,(%rsi)
   0x0000000007ed21e4 <+5540>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed21e9 <+5545>:  mov    0x59c60(%rip),%rsi        # 0x7f2be50
   0x0000000007ed21f0 <+5552>:  lea    0x3eca9(%rip),%rax        # 0x7f10ea0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE41_clEvE15qstring_literal>
   0x0000000007ed21f7 <+5559>:  lea    0x5a41a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed21fe <+5566>:  lea    0x3571b(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2205 <+5573>:  mov    %rax,(%rsi)
   0x0000000007ed2208 <+5576>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed220d <+5581>:  mov    0x59a9c(%rip),%rsi        # 0x7f2bcb0
   0x0000000007ed2214 <+5588>:  lea    0x3ec45(%rip),%rax        # 0x7f10e60 <_ZZNK6KGAPI25Drive4File6FieldsUlvE42_clEvE15qstring_literal>
   0x0000000007ed221b <+5595>:  lea    0x5a3f6(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2222 <+5602>:  lea    0x356f7(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2229 <+5609>:  mov    %rax,(%rsi)
   0x0000000007ed222c <+5612>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2231 <+5617>:  mov    0x59688(%rip),%rsi        # 0x7f2b8c0
   0x0000000007ed2238 <+5624>:  lea    0x3ebe1(%rip),%rax        # 0x7f10e20 <_ZZNK6KGAPI25Drive4File6FieldsUlvE43_clEvE15qstring_literal>
   0x0000000007ed223f <+5631>:  lea    0x5a3d2(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2246 <+5638>:  lea    0x356d3(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed224d <+5645>:  mov    %rax,(%rsi)
   0x0000000007ed2250 <+5648>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2255 <+5653>:  mov    0x59984(%rip),%rsi        # 0x7f2bbe0
   0x0000000007ed225c <+5660>:  lea    0x3eb7d(%rip),%rax        # 0x7f10de0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE44_clEvE15qstring_literal>
   0x0000000007ed2263 <+5667>:  lea    0x5a3ae(%rip),%rdx        # 0x7f2c618
   0x0000000007ed226a <+5674>:  lea    0x356af(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2271 <+5681>:  mov    %rax,(%rsi)
   0x0000000007ed2274 <+5684>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2279 <+5689>:  mov    0x599a8(%rip),%rsi        # 0x7f2bc28
   0x0000000007ed2280 <+5696>:  lea    0x3eb19(%rip),%rax        # 0x7f10da0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE45_clEvE15qstring_literal>
   0x0000000007ed2287 <+5703>:  lea    0x5a38a(%rip),%rdx        # 0x7f2c618
   0x0000000007ed228e <+5710>:  lea    0x3568b(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2295 <+5717>:  mov    %rax,(%rsi)
   0x0000000007ed2298 <+5720>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed229d <+5725>:  mov    0x59af4(%rip),%rax        # 0x7f2bd98
   0x0000000007ed22a4 <+5732>:  lea    0x5a36d(%rip),%rdx        # 0x7f2c618
   0x0000000007ed22ab <+5739>:  lea    0x3566e(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed22b2 <+5746>:  mov    %rbx,(%rax)
   0x0000000007ed22b5 <+5749>:  mov    %rax,%rsi
   0x0000000007ed22b8 <+5752>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed22bd <+5757>:  mov    0x5950c(%rip),%rsi        # 0x7f2b7d0
   0x0000000007ed22c4 <+5764>:  lea    0x3ea35(%rip),%rax        # 0x7f10d00 <_ZZNK6KGAPI25Drive4File6FieldsUlvE47_clEvE15qstring_literal>
   0x0000000007ed22cb <+5771>:  lea    0x5a346(%rip),%rdx        # 0x7f2c618
   0x0000000007ed22d2 <+5778>:  lea    0x35647(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed22d9 <+5785>:  mov    %rax,(%rsi)
   0x0000000007ed22dc <+5788>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed22e1 <+5793>:  lea    0x3e9d8(%rip),%rax        # 0x7f10cc0 <_ZZNK6KGAPI25Drive4File6FieldsUlvE48_clEvE15qstring_literal>
   0x0000000007ed22e8 <+5800>:  mov    %r15,%rsi
   0x0000000007ed22eb <+5803>:  lea    0x5a326(%rip),%rdx        # 0x7f2c618
   0x0000000007ed22f2 <+5810>:  mov    %rax,(%r15)
   0x0000000007ed22f5 <+5813>:  lea    0x35624(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed22fc <+5820>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2301 <+5825>:  mov    0x59628(%rip),%rax        # 0x7f2b930
   0x0000000007ed2308 <+5832>:  lea    0x3e971(%rip),%rcx        # 0x7f10c80 <_ZZNK6KGAPI25Drive4File6FieldsUlvE49_clEvE15qstring_literal>
   0x0000000007ed230f <+5839>:  lea    0x5a302(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2316 <+5846>:  lea    0x35603(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed231d <+5853>:  mov    %rcx,(%rax)
   0x0000000007ed2320 <+5856>:  mov    %rax,%rsi
   0x0000000007ed2323 <+5859>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2328 <+5864>:  lea    0x3f791(%rip),%rax        # 0x7f11ac0 <_ZZNK6KGAPI27PrivateUlvE_clEvE15qstring_literal>
   0x0000000007ed232f <+5871>:  xor    %edx,%edx
   0x0000000007ed2331 <+5873>:  mov    %rbp,%rsi
   0x0000000007ed2334 <+5876>:  lea    0x5a77d(%rip),%rdi        # 0x7f2cab8 <_ZN6KGAPI27PrivateL13GoogleApisUrlE.lto_priv.0>
   0x0000000007ed233b <+5883>:  mov    %rax,0x8(%rsp)
   0x0000000007ed2340 <+5888>:  callq  0x7ed09d0 <_ZN4QUrlC1ERK7QStringNS_11ParsingModeE@plt>
   0x0000000007ed2345 <+5893>:  mov    %rbp,%rdi
   0x0000000007ed2348 <+5896>:  callq  0x7f07920 <QString::~QString()>
   0x0000000007ed234d <+5901>:  mov    0x59564(%rip),%rdi        # 0x7f2b8b8
   0x0000000007ed2354 <+5908>:  lea    0x5a2bd(%rip),%rdx        # 0x7f2c618
   0x0000000007ed235b <+5915>:  lea    0x5a756(%rip),%rsi        # 0x7f2cab8 <_ZN6KGAPI27PrivateL13GoogleApisUrlE.lto_priv.0>
   0x0000000007ed2362 <+5922>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2367 <+5927>:  lea    0x3f712(%rip),%rax        # 0x7f11a80 <_ZZNK6KGAPI27PrivateUlvE0_clEvE15qstring_literal>
   0x0000000007ed236e <+5934>:  lea    0x5a2a3(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2375 <+5941>:  lea    0x5a734(%rip),%rsi        # 0x7f2cab0 <_ZN6KGAPI27PrivateL12AppsBasePathE.lto_priv.0>
   0x0000000007ed237c <+5948>:  lea    0x3559d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2383 <+5955>:  mov    %rax,0x5a726(%rip)        # 0x7f2cab0 <_ZN6KGAPI27PrivateL12AppsBasePathE.lto_priv.0>
   0x0000000007ed238a <+5962>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed238f <+5967>:  lea    0x3f6aa(%rip),%rax        # 0x7f11a40 <_ZZNK6KGAPI27PrivateUlvE1_clEvE15qstring_literal>
   0x0000000007ed2396 <+5974>:  lea    0x5a27b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed239d <+5981>:  lea    0x5a704(%rip),%rsi        # 0x7f2caa8 <_ZN6KGAPI27PrivateL13FilesBasePathE.lto_priv.0>
   0x0000000007ed23a4 <+5988>:  lea    0x35575(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed23ab <+5995>:  mov    %rax,0x5a6f6(%rip)        # 0x7f2caa8 <_ZN6KGAPI27PrivateL13FilesBasePathE.lto_priv.0>
   0x0000000007ed23b2 <+6002>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed23b7 <+6007>:  lea    0x3f642(%rip),%rax        # 0x7f11a00 <_ZZNK6KGAPI27PrivateUlvE2_clEvE15qstring_literal>
   0x0000000007ed23be <+6014>:  lea    0x5a253(%rip),%rdx        # 0x7f2c618
   0x0000000007ed23c5 <+6021>:  lea    0x5a6d4(%rip),%rsi        # 0x7f2caa0 <_ZN6KGAPI27PrivateL14ChangeBasePathE.lto_priv.0>
   0x0000000007ed23cc <+6028>:  lea    0x3554d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed23d3 <+6035>:  mov    %rax,0x5a6c6(%rip)        # 0x7f2caa0 <_ZN6KGAPI27PrivateL14ChangeBasePathE.lto_priv.0>
   0x0000000007ed23da <+6042>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed23df <+6047>:  lea    0x3f5da(%rip),%rax        # 0x7f119c0 <_ZZNK6KGAPI27PrivateUlvE3_clEvE15qstring_literal>
   0x0000000007ed23e6 <+6054>:  lea    0x5a22b(%rip),%rdx        # 0x7f2c618
   0x0000000007ed23ed <+6061>:  lea    0x5a6a4(%rip),%rsi        # 0x7f2ca98 <_ZN6KGAPI27PrivateL14DrivesBasePathE.lto_priv.0>
   0x0000000007ed23f4 <+6068>:  lea    0x35525(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed23fb <+6075>:  mov    %rax,0x5a696(%rip)        # 0x7f2ca98 <_ZN6KGAPI27PrivateL14DrivesBasePathE.lto_priv.0>
   0x0000000007ed2402 <+6082>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2407 <+6087>:  lea    0x3f552(%rip),%rax        # 0x7f11960 <_ZZNK6KGAPI27PrivateUlvE4_clEvE15qstring_literal>
   0x0000000007ed240e <+6094>:  lea    0x5a203(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2415 <+6101>:  lea    0x5a674(%rip),%rsi        # 0x7f2ca90 <_ZN6KGAPI27PrivateL17TeamdriveBasePathE.lto_priv.0>
   0x0000000007ed241c <+6108>:  lea    0x354fd(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2423 <+6115>:  mov    %rax,0x5a666(%rip)        # 0x7f2ca90 <_ZN6KGAPI27PrivateL17TeamdriveBasePathE.lto_priv.0>
   0x0000000007ed242a <+6122>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed242f <+6127>:  mov    0x5975a(%rip),%rsi        # 0x7f2bb90
   0x0000000007ed2436 <+6134>:  lea    0x40203(%rip),%rax        # 0x7f12640 <_ZZNK6KGAPI25Drive5About6FieldsUlvE_clEvE15qstring_literal>
   0x0000000007ed243d <+6141>:  lea    0x5a1d4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2444 <+6148>:  lea    0x354d5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed244b <+6155>:  mov    %rax,(%rsi)
   0x0000000007ed244e <+6158>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2453 <+6163>:  mov    0x596c6(%rip),%rsi        # 0x7f2bb20
   0x0000000007ed245a <+6170>:  lea    0x4019f(%rip),%rax        # 0x7f12600 <_ZZNK6KGAPI25Drive5About6FieldsUlvE0_clEvE15qstring_literal>
   0x0000000007ed2461 <+6177>:  lea    0x5a1b0(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2468 <+6184>:  lea    0x354b1(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed246f <+6191>:  mov    %rax,(%rsi)
   0x0000000007ed2472 <+6194>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2477 <+6199>:  mov    0x599aa(%rip),%rsi        # 0x7f2be28
   0x0000000007ed247e <+6206>:  lea    0x4013b(%rip),%rax        # 0x7f125c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE1_clEvE15qstring_literal>
   0x0000000007ed2485 <+6213>:  lea    0x5a18c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed248c <+6220>:  lea    0x3548d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2493 <+6227>:  mov    %rax,(%rsi)
   0x0000000007ed2496 <+6230>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed249b <+6235>:  mov    0x59b2e(%rip),%rsi        # 0x7f2bfd0
   0x0000000007ed24a2 <+6242>:  lea    0x400d7(%rip),%rax        # 0x7f12580 <_ZZNK6KGAPI25Drive5About6FieldsUlvE2_clEvE15qstring_literal>
   0x0000000007ed24a9 <+6249>:  lea    0x5a168(%rip),%rdx        # 0x7f2c618
   0x0000000007ed24b0 <+6256>:  lea    0x35469(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed24b7 <+6263>:  mov    %rax,(%rsi)
   0x0000000007ed24ba <+6266>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed24bf <+6271>:  mov    0x59422(%rip),%rsi        # 0x7f2b8e8
   0x0000000007ed24c6 <+6278>:  lea    0x40073(%rip),%rax        # 0x7f12540 <_ZZNK6KGAPI25Drive5About6FieldsUlvE3_clEvE15qstring_literal>
   0x0000000007ed24cd <+6285>:  lea    0x5a144(%rip),%rdx        # 0x7f2c618
   0x0000000007ed24d4 <+6292>:  lea    0x35445(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed24db <+6299>:  mov    %rax,(%rsi)
   0x0000000007ed24de <+6302>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed24e3 <+6307>:  mov    0x59466(%rip),%rsi        # 0x7f2b950
   0x0000000007ed24ea <+6314>:  lea    0x4000f(%rip),%rax        # 0x7f12500 <_ZZNK6KGAPI25Drive5About6FieldsUlvE4_clEvE15qstring_literal>
   0x0000000007ed24f1 <+6321>:  lea    0x5a120(%rip),%rdx        # 0x7f2c618
   0x0000000007ed24f8 <+6328>:  lea    0x35421(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed24ff <+6335>:  mov    %rax,(%rsi)
   0x0000000007ed2502 <+6338>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2507 <+6343>:  mov    0x59ad2(%rip),%rsi        # 0x7f2bfe0
   0x0000000007ed250e <+6350>:  lea    0x3ffab(%rip),%rax        # 0x7f124c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE5_clEvE15qstring_literal>
   0x0000000007ed2515 <+6357>:  lea    0x5a0fc(%rip),%rdx        # 0x7f2c618
   0x0000000007ed251c <+6364>:  lea    0x353fd(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2523 <+6371>:  mov    %rax,(%rsi)
   0x0000000007ed2526 <+6374>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed252b <+6379>:  mov    0x597c6(%rip),%rsi        # 0x7f2bcf8
   0x0000000007ed2532 <+6386>:  lea    0x3ff47(%rip),%rax        # 0x7f12480 <_ZZNK6KGAPI25Drive5About6FieldsUlvE6_clEvE15qstring_literal>
   0x0000000007ed2539 <+6393>:  lea    0x5a0d8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2540 <+6400>:  lea    0x353d9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2547 <+6407>:  mov    %rax,(%rsi)
   0x0000000007ed254a <+6410>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed254f <+6415>:  mov    0x5934a(%rip),%rsi        # 0x7f2b8a0
   0x0000000007ed2556 <+6422>:  lea    0x3fee3(%rip),%rax        # 0x7f12440 <_ZZNK6KGAPI25Drive5About6FieldsUlvE7_clEvE15qstring_literal>
   0x0000000007ed255d <+6429>:  lea    0x5a0b4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2564 <+6436>:  lea    0x353b5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed256b <+6443>:  mov    %rax,(%rsi)
   0x0000000007ed256e <+6446>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2573 <+6451>:  mov    0x5941e(%rip),%rsi        # 0x7f2b998
   0x0000000007ed257a <+6458>:  lea    0x3fe7f(%rip),%rax        # 0x7f12400 <_ZZNK6KGAPI25Drive5About6FieldsUlvE8_clEvE15qstring_literal>
   0x0000000007ed2581 <+6465>:  lea    0x5a090(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2588 <+6472>:  lea    0x35391(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed258f <+6479>:  mov    %rax,(%rsi)
   0x0000000007ed2592 <+6482>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2597 <+6487>:  mov    0x59512(%rip),%rsi        # 0x7f2bab0
   0x0000000007ed259e <+6494>:  lea    0x3fe1b(%rip),%rax        # 0x7f123c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE9_clEvE15qstring_literal>
   0x0000000007ed25a5 <+6501>:  lea    0x5a06c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed25ac <+6508>:  lea    0x3536d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed25b3 <+6515>:  mov    %rax,(%rsi)
   0x0000000007ed25b6 <+6518>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed25bb <+6523>:  mov    0x59996(%rip),%rsi        # 0x7f2bf58
   0x0000000007ed25c2 <+6530>:  lea    0x3fdb7(%rip),%rax        # 0x7f12380 <_ZZNK6KGAPI25Drive5About6FieldsUlvE10_clEvE15qstring_literal>
   0x0000000007ed25c9 <+6537>:  lea    0x5a048(%rip),%rdx        # 0x7f2c618
   0x0000000007ed25d0 <+6544>:  lea    0x35349(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed25d7 <+6551>:  mov    %rax,(%rsi)
   0x0000000007ed25da <+6554>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed25df <+6559>:  mov    0x599ca(%rip),%rsi        # 0x7f2bfb0
   0x0000000007ed25e6 <+6566>:  lea    0x3fd53(%rip),%rax        # 0x7f12340 <_ZZNK6KGAPI25Drive5About6FieldsUlvE11_clEvE15qstring_literal>
   0x0000000007ed25ed <+6573>:  lea    0x5a024(%rip),%rdx        # 0x7f2c618
   0x0000000007ed25f4 <+6580>:  lea    0x35325(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed25fb <+6587>:  mov    %rax,(%rsi)
   0x0000000007ed25fe <+6590>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2603 <+6595>:  mov    0x590fe(%rip),%rsi        # 0x7f2b708
   0x0000000007ed260a <+6602>:  lea    0x3fcef(%rip),%rax        # 0x7f12300 <_ZZNK6KGAPI25Drive5About6FieldsUlvE12_clEvE15qstring_literal>
   0x0000000007ed2611 <+6609>:  lea    0x5a000(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2618 <+6616>:  lea    0x35301(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed261f <+6623>:  mov    %rax,(%rsi)
   0x0000000007ed2622 <+6626>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2627 <+6631>:  mov    0x592b2(%rip),%rsi        # 0x7f2b8e0
   0x0000000007ed262e <+6638>:  lea    0x3fc8b(%rip),%rax        # 0x7f122c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE13_clEvE15qstring_literal>
   0x0000000007ed2635 <+6645>:  lea    0x59fdc(%rip),%rdx        # 0x7f2c618
   0x0000000007ed263c <+6652>:  lea    0x352dd(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2643 <+6659>:  mov    %rax,(%rsi)
   0x0000000007ed2646 <+6662>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed264b <+6667>:  mov    0x59786(%rip),%rsi        # 0x7f2bdd8
   0x0000000007ed2652 <+6674>:  lea    0x3fc47(%rip),%rax        # 0x7f122a0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE14_clEvE15qstring_literal>
   0x0000000007ed2659 <+6681>:  lea    0x59fb8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2660 <+6688>:  lea    0x352b9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2667 <+6695>:  mov    %rax,(%rsi)
   0x0000000007ed266a <+6698>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed266f <+6703>:  mov    0x593ca(%rip),%rsi        # 0x7f2ba40
   0x0000000007ed2676 <+6710>:  lea    0x3fbe3(%rip),%rax        # 0x7f12260 <_ZZNK6KGAPI25Drive5About6FieldsUlvE15_clEvE15qstring_literal>
   0x0000000007ed267d <+6717>:  lea    0x59f94(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2684 <+6724>:  lea    0x35295(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed268b <+6731>:  mov    %rax,(%rsi)
   0x0000000007ed268e <+6734>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2693 <+6739>:  mov    0x595e6(%rip),%rsi        # 0x7f2bc80
   0x0000000007ed269a <+6746>:  lea    0x3fb7f(%rip),%rax        # 0x7f12220 <_ZZNK6KGAPI25Drive5About6FieldsUlvE16_clEvE15qstring_literal>
   0x0000000007ed26a1 <+6753>:  lea    0x59f70(%rip),%rdx        # 0x7f2c618
   0x0000000007ed26a8 <+6760>:  lea    0x35271(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed26af <+6767>:  mov    %rax,(%rsi)
   0x0000000007ed26b2 <+6770>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed26b7 <+6775>:  mov    0x5936a(%rip),%rsi        # 0x7f2ba28
   0x0000000007ed26be <+6782>:  lea    0x3fafb(%rip),%rax        # 0x7f121c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE17_clEvE15qstring_literal>
   0x0000000007ed26c5 <+6789>:  lea    0x59f4c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed26cc <+6796>:  lea    0x3524d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed26d3 <+6803>:  mov    %rax,(%rsi)
   0x0000000007ed26d6 <+6806>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed26db <+6811>:  mov    0x5921e(%rip),%rsi        # 0x7f2b900
   0x0000000007ed26e2 <+6818>:  lea    0x3fa97(%rip),%rax        # 0x7f12180 <_ZZNK6KGAPI25Drive5About6FieldsUlvE18_clEvE15qstring_literal>
   0x0000000007ed26e9 <+6825>:  lea    0x59f28(%rip),%rdx        # 0x7f2c618
   0x0000000007ed26f0 <+6832>:  lea    0x35229(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed26f7 <+6839>:  mov    %rax,(%rsi)
   0x0000000007ed26fa <+6842>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed26ff <+6847>:  mov    0x59072(%rip),%rsi        # 0x7f2b778
   0x0000000007ed2706 <+6854>:  lea    0x3fa33(%rip),%rax        # 0x7f12140 <_ZZNK6KGAPI25Drive5About6FieldsUlvE19_clEvE15qstring_literal>
   0x0000000007ed270d <+6861>:  lea    0x59f04(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2714 <+6868>:  lea    0x35205(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed271b <+6875>:  mov    %rax,(%rsi)
   0x0000000007ed271e <+6878>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2723 <+6883>:  mov    0x59376(%rip),%rsi        # 0x7f2baa0
   0x0000000007ed272a <+6890>:  lea    0x3f9cf(%rip),%rax        # 0x7f12100 <_ZZNK6KGAPI25Drive5About6FieldsUlvE20_clEvE15qstring_literal>
   0x0000000007ed2731 <+6897>:  lea    0x59ee0(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2738 <+6904>:  lea    0x351e1(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed273f <+6911>:  mov    %rax,(%rsi)
   0x0000000007ed2742 <+6914>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2747 <+6919>:  mov    0x5978a(%rip),%rsi        # 0x7f2bed8
   0x0000000007ed274e <+6926>:  lea    0x3f96b(%rip),%rax        # 0x7f120c0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE21_clEvE15qstring_literal>
   0x0000000007ed2755 <+6933>:  lea    0x59ebc(%rip),%rdx        # 0x7f2c618
   0x0000000007ed275c <+6940>:  lea    0x351bd(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2763 <+6947>:  mov    %rax,(%rsi)
   0x0000000007ed2766 <+6950>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed276b <+6955>:  mov    0x593c6(%rip),%rsi        # 0x7f2bb38
   0x0000000007ed2772 <+6962>:  lea    0x3f907(%rip),%rax        # 0x7f12080 <_ZZNK6KGAPI25Drive5About6FieldsUlvE22_clEvE15qstring_literal>
   0x0000000007ed2779 <+6969>:  lea    0x59e98(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2780 <+6976>:  lea    0x35199(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2787 <+6983>:  mov    %rax,(%rsi)
   0x0000000007ed278a <+6986>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed278f <+6991>:  mov    0x5961a(%rip),%rsi        # 0x7f2bdb0
   0x0000000007ed2796 <+6998>:  lea    0x3f8a3(%rip),%rax        # 0x7f12040 <_ZZNK6KGAPI25Drive5About6FieldsUlvE23_clEvE15qstring_literal>
   0x0000000007ed279d <+7005>:  lea    0x59e74(%rip),%rdx        # 0x7f2c618
   0x0000000007ed27a4 <+7012>:  lea    0x35175(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed27ab <+7019>:  mov    %rax,(%rsi)
   0x0000000007ed27ae <+7022>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed27b3 <+7027>:  mov    0x596de(%rip),%rsi        # 0x7f2be98
   0x0000000007ed27ba <+7034>:  lea    0x3f83f(%rip),%rax        # 0x7f12000 <_ZZNK6KGAPI25Drive5About6FieldsUlvE24_clEvE15qstring_literal>
   0x0000000007ed27c1 <+7041>:  lea    0x59e50(%rip),%rdx        # 0x7f2c618
   0x0000000007ed27c8 <+7048>:  lea    0x35151(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed27cf <+7055>:  mov    %rax,(%rsi)
   0x0000000007ed27d2 <+7058>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed27d7 <+7063>:  mov    0x596a2(%rip),%rsi        # 0x7f2be80
   0x0000000007ed27de <+7070>:  lea    0x3f7db(%rip),%rax        # 0x7f11fc0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE25_clEvE15qstring_literal>
   0x0000000007ed27e5 <+7077>:  lea    0x59e2c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed27ec <+7084>:  lea    0x3512d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed27f3 <+7091>:  mov    %rax,(%rsi)
   0x0000000007ed27f6 <+7094>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed27fb <+7099>:  mov    0x595be(%rip),%rsi        # 0x7f2bdc0
   0x0000000007ed2802 <+7106>:  lea    0x3f777(%rip),%rax        # 0x7f11f80 <_ZZNK6KGAPI25Drive5About6FieldsUlvE26_clEvE15qstring_literal>
   0x0000000007ed2809 <+7113>:  lea    0x59e08(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2810 <+7120>:  lea    0x35109(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2817 <+7127>:  mov    %rax,(%rsi)
   0x0000000007ed281a <+7130>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed281f <+7135>:  mov    0x5922a(%rip),%rsi        # 0x7f2ba50
   0x0000000007ed2826 <+7142>:  lea    0x3f713(%rip),%rax        # 0x7f11f40 <_ZZNK6KGAPI25Drive5About6FieldsUlvE27_clEvE15qstring_literal>
   0x0000000007ed282d <+7149>:  lea    0x59de4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2834 <+7156>:  lea    0x350e5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed283b <+7163>:  mov    %rax,(%rsi)
   0x0000000007ed283e <+7166>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2843 <+7171>:  mov    0x5929e(%rip),%rsi        # 0x7f2bae8
   0x0000000007ed284a <+7178>:  lea    0x3f68f(%rip),%rax        # 0x7f11ee0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE28_clEvE15qstring_literal>
   0x0000000007ed2851 <+7185>:  lea    0x59dc0(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2858 <+7192>:  lea    0x350c1(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed285f <+7199>:  mov    %rax,(%rsi)
   0x0000000007ed2862 <+7202>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2867 <+7207>:  mov    0x591da(%rip),%rsi        # 0x7f2ba48
   0x0000000007ed286e <+7214>:  lea    0x3f60b(%rip),%rax        # 0x7f11e80 <_ZZNK6KGAPI25Drive5About6FieldsUlvE29_clEvE15qstring_literal>
   0x0000000007ed2875 <+7221>:  lea    0x59d9c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed287c <+7228>:  lea    0x3509d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2883 <+7235>:  mov    %rax,(%rsi)
   0x0000000007ed2886 <+7238>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed288b <+7243>:  mov    0x595e6(%rip),%rsi        # 0x7f2be78
   0x0000000007ed2892 <+7250>:  lea    0x3f5a7(%rip),%rax        # 0x7f11e40 <_ZZNK6KGAPI25Drive5About6FieldsUlvE30_clEvE15qstring_literal>
   0x0000000007ed2899 <+7257>:  lea    0x59d78(%rip),%rdx        # 0x7f2c618
   0x0000000007ed28a0 <+7264>:  lea    0x35079(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed28a7 <+7271>:  mov    %rax,(%rsi)
   0x0000000007ed28aa <+7274>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed28af <+7279>:  mov    0x5949a(%rip),%rsi        # 0x7f2bd50
   0x0000000007ed28b6 <+7286>:  lea    0x3f543(%rip),%rax        # 0x7f11e00 <_ZZNK6KGAPI25Drive5About6FieldsUlvE31_clEvE15qstring_literal>
   0x0000000007ed28bd <+7293>:  lea    0x59d54(%rip),%rdx        # 0x7f2c618
   0x0000000007ed28c4 <+7300>:  lea    0x35055(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed28cb <+7307>:  mov    %rax,(%rsi)
   0x0000000007ed28ce <+7310>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed28d3 <+7315>:  mov    0x59406(%rip),%rsi        # 0x7f2bce0
   0x0000000007ed28da <+7322>:  lea    0x3f4df(%rip),%rax        # 0x7f11dc0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE32_clEvE15qstring_literal>
   0x0000000007ed28e1 <+7329>:  lea    0x59d30(%rip),%rdx        # 0x7f2c618
   0x0000000007ed28e8 <+7336>:  lea    0x35031(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed28ef <+7343>:  mov    %rax,(%rsi)
   0x0000000007ed28f2 <+7346>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed28f7 <+7351>:  mov    0x58ff2(%rip),%rsi        # 0x7f2b8f0
   0x0000000007ed28fe <+7358>:  lea    0x3f47b(%rip),%rax        # 0x7f11d80 <_ZZNK6KGAPI25Drive5About6FieldsUlvE33_clEvE15qstring_literal>
   0x0000000007ed2905 <+7365>:  lea    0x59d0c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed290c <+7372>:  lea    0x3500d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2913 <+7379>:  mov    %rax,(%rsi)
   0x0000000007ed2916 <+7382>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed291b <+7387>:  mov    0x591be(%rip),%rsi        # 0x7f2bae0
   0x0000000007ed2922 <+7394>:  lea    0x3f417(%rip),%rax        # 0x7f11d40 <_ZZNK6KGAPI25Drive5About6FieldsUlvE34_clEvE15qstring_literal>
   0x0000000007ed2929 <+7401>:  lea    0x59ce8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2930 <+7408>:  lea    0x34fe9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2937 <+7415>:  mov    %rax,(%rsi)
   0x0000000007ed293a <+7418>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed293f <+7423>:  mov    0x594a2(%rip),%rsi        # 0x7f2bde8
   0x0000000007ed2946 <+7430>:  lea    0x3f3b3(%rip),%rax        # 0x7f11d00 <_ZZNK6KGAPI25Drive5About6FieldsUlvE35_clEvE15qstring_literal>
   0x0000000007ed294d <+7437>:  lea    0x59cc4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2954 <+7444>:  lea    0x34fc5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed295b <+7451>:  mov    %rax,(%rsi)
   0x0000000007ed295e <+7454>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2963 <+7459>:  mov    0x5964e(%rip),%rsi        # 0x7f2bfb8
   0x0000000007ed296a <+7466>:  lea    0x3f34f(%rip),%rax        # 0x7f11cc0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE36_clEvE15qstring_literal>
   0x0000000007ed2971 <+7473>:  lea    0x59ca0(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2978 <+7480>:  lea    0x34fa1(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed297f <+7487>:  mov    %rax,(%rsi)
   0x0000000007ed2982 <+7490>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2987 <+7495>:  mov    0x58e72(%rip),%rsi        # 0x7f2b800
   0x0000000007ed298e <+7502>:  lea    0x3f2eb(%rip),%rax        # 0x7f11c80 <_ZZNK6KGAPI25Drive5About6FieldsUlvE37_clEvE15qstring_literal>
   0x0000000007ed2995 <+7509>:  lea    0x59c7c(%rip),%rdx        # 0x7f2c618
   0x0000000007ed299c <+7516>:  lea    0x34f7d(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed29a3 <+7523>:  mov    %rax,(%rsi)
   0x0000000007ed29a6 <+7526>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed29ab <+7531>:  mov    0x58dae(%rip),%rsi        # 0x7f2b760
   0x0000000007ed29b2 <+7538>:  lea    0x3f287(%rip),%rax        # 0x7f11c40 <_ZZNK6KGAPI25Drive5About6FieldsUlvE38_clEvE15qstring_literal>
   0x0000000007ed29b9 <+7545>:  lea    0x59c58(%rip),%rdx        # 0x7f2c618
   0x0000000007ed29c0 <+7552>:  lea    0x34f59(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed29c7 <+7559>:  mov    %rax,(%rsi)
   0x0000000007ed29ca <+7562>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed29cf <+7567>:  mov    0x591b2(%rip),%rsi        # 0x7f2bb88
   0x0000000007ed29d6 <+7574>:  lea    0x3f223(%rip),%rax        # 0x7f11c00 <_ZZNK6KGAPI25Drive5About6FieldsUlvE39_clEvE15qstring_literal>
   0x0000000007ed29dd <+7581>:  lea    0x59c34(%rip),%rdx        # 0x7f2c618
   0x0000000007ed29e4 <+7588>:  lea    0x34f35(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed29eb <+7595>:  mov    %rax,(%rsi)
   0x0000000007ed29ee <+7598>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed29f3 <+7603>:  mov    0x5945e(%rip),%rsi        # 0x7f2be58
   0x0000000007ed29fa <+7610>:  lea    0x3f1bf(%rip),%rax        # 0x7f11bc0 <_ZZNK6KGAPI25Drive5About6FieldsUlvE40_clEvE15qstring_literal>
   0x0000000007ed2a01 <+7617>:  lea    0x59c10(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2a08 <+7624>:  lea    0x34f11(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2a0f <+7631>:  mov    %rax,(%rsi)
   0x0000000007ed2a12 <+7634>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2a17 <+7639>:  mov    0x5918a(%rip),%rsi        # 0x7f2bba8
   0x0000000007ed2a1e <+7646>:  lea    0x3f15b(%rip),%rax        # 0x7f11b80 <_ZZNK6KGAPI25Drive5About6FieldsUlvE41_clEvE15qstring_literal>
   0x0000000007ed2a25 <+7653>:  lea    0x59bec(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2a2c <+7660>:  lea    0x34eed(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2a33 <+7667>:  mov    %rax,(%rsi)
   0x0000000007ed2a36 <+7670>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2a3b <+7675>:  mov    0x5950e(%rip),%rsi        # 0x7f2bf50
   0x0000000007ed2a42 <+7682>:  lea    0x3f117(%rip),%rax        # 0x7f11b60 <_ZZNK6KGAPI25Drive5About6FieldsUlvE42_clEvE15qstring_literal>
   0x0000000007ed2a49 <+7689>:  lea    0x59bc8(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2a50 <+7696>:  lea    0x34ec9(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2a57 <+7703>:  mov    %rax,(%rsi)
   0x0000000007ed2a5a <+7706>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2a5f <+7711>:  mov    0x58d02(%rip),%rsi        # 0x7f2b768
   0x0000000007ed2a66 <+7718>:  lea    0x3f0b3(%rip),%rax        # 0x7f11b20 <_ZZNK6KGAPI25Drive5About6FieldsUlvE43_clEvE15qstring_literal>
   0x0000000007ed2a6d <+7725>:  lea    0x59ba4(%rip),%rdx        # 0x7f2c618
   0x0000000007ed2a74 <+7732>:  lea    0x34ea5(%rip),%rdi        # 0x7f07920 <QString::~QString()>
   0x0000000007ed2a7b <+7739>:  mov    %rax,(%rsi)
   0x0000000007ed2a7e <+7742>:  callq  0x7ed08a0 <__cxa_atexit@plt>
   0x0000000007ed2a83 <+7747>:  mov    0x58(%rsp),%rax
   0x0000000007ed2a88 <+7752>:  xor    %fs:0x28,%rax
   0x0000000007ed2a91 <+7761>:  jne    0x7ed2aa2 <_GLOBAL__I_65535_0_mocs_compilation.cpp.o.46186+7778>
   0x0000000007ed2a93 <+7763>:  add    $0x68,%rsp
   0x0000000007ed2a97 <+7767>:  pop    %rbx
   0x0000000007ed2a98 <+7768>:  pop    %rbp
   0x0000000007ed2a99 <+7769>:  pop    %r12
   0x0000000007ed2a9b <+7771>:  pop    %r13
   0x0000000007ed2a9d <+7773>:  pop    %r14
   0x0000000007ed2a9f <+7775>:  pop    %r15
   0x0000000007ed2aa1 <+7777>:  retq   
   0x0000000007ed2aa2 <+7778>:  callq  0x7ed0260 <__stack_chk_fail@plt>
End of assembler dump.
Comment 15 Richard Biener 2019-08-28 11:31:44 UTC
Do you have debuginfo installed for /usr/lib64/libKPimGAPIDrive.so.5?  The disassembly indeed doesn't help much without any source references - it may be
we really do not generate any here with LTO (too bad) but maybe debuginfo
is simply not installed?
Comment 16 Hans-Peter Jansen 2019-08-28 14:30:29 UTC
Nope, I've installed all debug{info,source} packages, that gdb complains about, beforehand (of course):

libkgapi-debuginfo-19.08.0-1.1.x86_64
libkgapi-debugsource-19.08.0-116.1.x86_64
libkgapi-lang-19.08.0-116.1.noarch

There's some debug info intermingled, e.g. QString::~QString() and QtPrivate::RefCount::ref(), that gdb wouldn't know about...

It seems to be related to moc processing, which is Qt's meta object compiler, the thing, that is responsible for signals and slots handling, etc. I guess, that this is generated code, that cannot be related to any "real" source code.

What's strange, that only this library is affected so far.

(In reply to Wolfgang Bauer from comment #6)
> Btw, would it be acceptable to disable LTO for now in libkgapi until the
> actual problem can be isolated and fixed?
> That would at least make it work again for users...

I'm with you for this case, let's disable LTO for now in Factory. Would you SR your package and forward it to Factory, please?
Comment 17 Wolfgang Bauer 2019-08-28 15:26:34 UTC
(In reply to Hans-Peter Jansen from comment #16)
> Nope, I've installed all debug{info,source} packages, that gdb complains
> about, beforehand (of course):
> 
> libkgapi-debuginfo-19.08.0-1.1.x86_64
> libkgapi-debugsource-19.08.0-116.1.x86_64
> libkgapi-lang-19.08.0-116.1.noarch

There's also libKPimGAPIDrive5-debuginfo though.

> It seems to be related to moc processing, which is Qt's meta object
> compiler, the thing, that is responsible for signals and slots handling,
> etc. I guess, that this is generated code, that cannot be related to any
> "real" source code.

Yes, that is correct.
It's generated while running make.
Maybe it would help to "extract" the generated source files from the build?

> (In reply to Wolfgang Bauer from comment #6)
> > Btw, would it be acceptable to disable LTO for now in libkgapi until the
> > actual problem can be isolated and fixed?
> > That would at least make it work again for users...
> 
> I'm with you for this case, let's disable LTO for now in Factory. Would you
> SR your package and forward it to Factory, please?

Will do.
Thanks for debugging so far.
Comment 18 Hans-Peter Jansen 2019-08-28 16:35:27 UTC
(In reply to Wolfgang Bauer from comment #17)
> (In reply to Hans-Peter Jansen from comment #16)
> > Nope, I've installed all debug{info,source} packages, that gdb complains
> > about, beforehand (of course):
> > 
> > libkgapi-debuginfo-19.08.0-1.1.x86_64
> > libkgapi-debugsource-19.08.0-116.1.x86_64
> > libkgapi-lang-19.08.0-116.1.noarch
> 
> There's also libKPimGAPIDrive5-debuginfo though.

Yes, sure, sorry, the full list is:

$ rpmg 'GAPI|gapi'
libKPimGAPICalendar5-19.08.0-116.1.x86_64
libKPimGAPIContacts5-19.08.0-116.1.x86_64
libKPimGAPICore5-19.08.0-1.1.x86_64
libKPimGAPICore5-debuginfo-19.08.0-1.1.x86_64
libKPimGAPIDrive5-19.08.0-1.1.x86_64
libKPimGAPIDrive5-debuginfo-19.08.0-1.1.x86_64
libKPimGAPITasks5-19.08.0-116.1.x86_64
libkgapi-debuginfo-19.08.0-1.1.x86_64
libkgapi-debugsource-19.08.0-116.1.x86_64
libkgapi-lang-19.08.0-116.1.noarch

@Richard: gdb still running, any more ideas?

> > It seems to be related to moc processing, which is Qt's meta object
> > compiler, the thing, that is responsible for signals and slots handling,
> > etc. I guess, that this is generated code, that cannot be related to any
> > "real" source code.
> 
> Yes, that is correct.
> It's generated while running make.
> Maybe it would help to "extract" the generated source files from the build?

But we won't be able to correlate them to the debug output, do we?
And I'm afraid, the generated sources won't be palatable either.
Comment 19 Richard Biener 2019-08-29 08:52:55 UTC
(In reply to Hans-Peter Jansen from comment #18)
> (In reply to Wolfgang Bauer from comment #17)
> > (In reply to Hans-Peter Jansen from comment #16)
> > > Nope, I've installed all debug{info,source} packages, that gdb complains
> > > about, beforehand (of course):
> > > 
> > > libkgapi-debuginfo-19.08.0-1.1.x86_64
> > > libkgapi-debugsource-19.08.0-116.1.x86_64
> > > libkgapi-lang-19.08.0-116.1.noarch
> > 
> > There's also libKPimGAPIDrive5-debuginfo though.
> 
> Yes, sure, sorry, the full list is:
> 
> $ rpmg 'GAPI|gapi'
> libKPimGAPICalendar5-19.08.0-116.1.x86_64
> libKPimGAPIContacts5-19.08.0-116.1.x86_64
> libKPimGAPICore5-19.08.0-1.1.x86_64
> libKPimGAPICore5-debuginfo-19.08.0-1.1.x86_64
> libKPimGAPIDrive5-19.08.0-1.1.x86_64
> libKPimGAPIDrive5-debuginfo-19.08.0-1.1.x86_64
> libKPimGAPITasks5-19.08.0-116.1.x86_64
> libkgapi-debuginfo-19.08.0-1.1.x86_64
> libkgapi-debugsource-19.08.0-116.1.x86_64
> libkgapi-lang-19.08.0-116.1.noarch
> 
> @Richard: gdb still running, any more ideas?

No, nothing magic.  But I have a suspicion.  In src/drive/filefetchjob.cpp
we have

const QStringList FileFetchJob::FieldShorthands::BasicFields = {
    File::Fields::Id,
    File::Fields::Title,
...
}

but File::Fields::Id is in src/drive/file.cpp:

const QString File::Fields::Id = QStringLiteral("id");

and I wonder whether QStringList needs a constructed QString object when
constructing itself.

And after the sequence of QtPrivate::RefCount::ref() calls it calls QList<QString>::QList(std::initializer_list<QString>) so it must be one
of those.  So what you could do is try seeing which QString object it is
accessing.

OTOH the above snippet reveals that there _is_ ordering issues in the
module (it definitely looks like QStringList - or in this case
std::initializer_list construction - takes a "ref" for the QString
and thus requires it to be constructed already).  Whether the actual
issue happens on the above case or others doesn't really matter I guess.

You might want to report this upstream.  Files in CMakeLists.txt appear
to be sorted alphabetically not in any particular order to guarantee
object construction order so this only works by chance without LTO.

> > > It seems to be related to moc processing, which is Qt's meta object
> > > compiler, the thing, that is responsible for signals and slots handling,
> > > etc. I guess, that this is generated code, that cannot be related to any
> > > "real" source code.
> > 
> > Yes, that is correct.
> > It's generated while running make.
> > Maybe it would help to "extract" the generated source files from the build?
> 
> But we won't be able to correlate them to the debug output, do we?
> And I'm afraid, the generated sources won't be palatable either.
Comment 20 Richard Biener 2019-08-29 09:18:02 UTC
I've opened a GCC enhancement request that -flto should preserve -fnon-lto
global ctor invocation order as far as possible.
Comment 21 Richard Biener 2019-08-29 10:40:42 UTC
(In reply to Richard Biener from comment #19)
> (In reply to Hans-Peter Jansen from comment #18)
> > (In reply to Wolfgang Bauer from comment #17)
> > > (In reply to Hans-Peter Jansen from comment #16)
> > > > Nope, I've installed all debug{info,source} packages, that gdb complains
> > > > about, beforehand (of course):
> > > > 
> > > > libkgapi-debuginfo-19.08.0-1.1.x86_64
> > > > libkgapi-debugsource-19.08.0-116.1.x86_64
> > > > libkgapi-lang-19.08.0-116.1.noarch
> > > 
> > > There's also libKPimGAPIDrive5-debuginfo though.
> > 
> > Yes, sure, sorry, the full list is:
> > 
> > $ rpmg 'GAPI|gapi'
> > libKPimGAPICalendar5-19.08.0-116.1.x86_64
> > libKPimGAPIContacts5-19.08.0-116.1.x86_64
> > libKPimGAPICore5-19.08.0-1.1.x86_64
> > libKPimGAPICore5-debuginfo-19.08.0-1.1.x86_64
> > libKPimGAPIDrive5-19.08.0-1.1.x86_64
> > libKPimGAPIDrive5-debuginfo-19.08.0-1.1.x86_64
> > libKPimGAPITasks5-19.08.0-116.1.x86_64
> > libkgapi-debuginfo-19.08.0-1.1.x86_64
> > libkgapi-debugsource-19.08.0-116.1.x86_64
> > libkgapi-lang-19.08.0-116.1.noarch
> > 
> > @Richard: gdb still running, any more ideas?
> 
> No, nothing magic.  But I have a suspicion.  In src/drive/filefetchjob.cpp
> we have
> 
> const QStringList FileFetchJob::FieldShorthands::BasicFields = {
>     File::Fields::Id,
>     File::Fields::Title,
> ...
> }
> 
> but File::Fields::Id is in src/drive/file.cpp:
> 
> const QString File::Fields::Id = QStringLiteral("id");
> 
> and I wonder whether QStringList needs a constructed QString object when
> constructing itself.
> 
> And after the sequence of QtPrivate::RefCount::ref() calls it calls
> QList<QString>::QList(std::initializer_list<QString>) so it must be one
> of those.  So what you could do is try seeing which QString object it is
> accessing.
> 
> OTOH the above snippet reveals that there _is_ ordering issues in the
> module (it definitely looks like QStringList - or in this case
> std::initializer_list construction - takes a "ref" for the QString
> and thus requires it to be constructed already).  Whether the actual
> issue happens on the above case or others doesn't really matter I guess.
> 
> You might want to report this upstream.  Files in CMakeLists.txt appear
> to be sorted alphabetically not in any particular order to guarantee
> object construction order so this only works by chance without LTO.

So if you move filefetchcontentjob.cpp before file.cpp in src/drive/CMakeLists.txt it probably fails without -flto as well.

> > > > It seems to be related to moc processing, which is Qt's meta object
> > > > compiler, the thing, that is responsible for signals and slots handling,
> > > > etc. I guess, that this is generated code, that cannot be related to any
> > > > "real" source code.
> > > 
> > > Yes, that is correct.
> > > It's generated while running make.
> > > Maybe it would help to "extract" the generated source files from the build?
> > 
> > But we won't be able to correlate them to the debug output, do we?
> > And I'm afraid, the generated sources won't be palatable either.
Comment 22 Hans-Peter Jansen 2019-08-29 15:25:53 UTC
(In reply to Richard Biener from comment #21)
> 
> So if you move filefetchcontentjob.cpp before file.cpp in
> src/drive/CMakeLists.txt it probably fails without -flto as well.
> 

Confirmed! 

Will file a upstream bug report about this ordering issue (only correct by chance). Thanks for your time.
Comment 23 Hans-Peter Jansen 2019-08-29 15:45:29 UTC
https://bugs.kde.org/show_bug.cgi?id=411425
Comment 24 Wolfgang Bauer 2019-08-29 18:58:43 UTC
(In reply to Hans-Peter Jansen from comment #23)
> https://bugs.kde.org/show_bug.cgi?id=411425

Thanks!
Let's see what comes out of that, I suppose we can close this as upstream then...

FTR, the libkgapi built without LTO is on the way to Factory, and should be in one of the next snapshots I hope:
https://build.opensuse.org/request/show/726785